<?php
// checking for minimum PHP version
if (version_compare(PHP_VERSION, '5.3.7', '<')) {
    exit("Sorry, Simple PHP Login does not run on a PHP version smaller than 5.3.7 !");
} else if (version_compare(PHP_VERSION, '5.5.0', '<')) {
    // if you are using PHP 5.3 or PHP 5.4 you have to include the password_api_compatibility_library.php
    // (this library adds the PHP 5.5 password hashing functions to older versions of PHP)
    require_once "vistas/libraries/password_compatibility_library.php";
}

// include the configs / constants for the database connection
require_once "vistas/db.php";

// load the login class
require_once "classes/Login.php";

// create a login object. when this object is created, it will do all login/logout stuff automatically
// so this single line handles the entire login process. in consequence, you can simply ...
$login = new Login();

// ... ask if we are logged in here:
if ($login->isUserLoggedIn() == true) {
    // the user is logged in. you can do whatever you want here.
    // for demonstration purposes, we simply show the "you are logged in" view.
    //header("location: vistas/html/principal.php");
    if ($login->isUserLoggedPermiso() == true) {
        header("location: vistas/html/home_paciente.php");
    } else {
        header("location: vistas/html/principal.php");
    }

} else {
    // the user is not logged in. you can do whatever you want here.
    // for demonstration purposes, we simply show the "you are not logged in" view.
    ?>
    <!DOCTYPE html>
    <html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
        <meta name="author" content="Coderthemes">

        <link rel="shortcut icon" href="assets/images/favicon.png">

        <title>Cliner</title>

        <link href="../plugins/switchery/switchery.min.css" rel="stylesheet" />

        <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <link href="assets/css/icons.css" rel="stylesheet" type="text/css">
        <link href="assets/css/style.css" rel="stylesheet" type="text/css">

        <script src="assets/js/modernizr.min.js"></script>
        <style>
            body{
                background: url(img/b1.jpg) no-repeat center center fixed;
                -webkit-background-size: cover;
                -moz-background-size: cover;
                -o-background-size: cover;
                background-size: cover;
            }
        </style>

    </head>
    <body>

      <div class="wrapper-page">
        <div class="portlet">
            <div class="portlet-heading bg-primary">
                <h3 class="portlet-title">
                    Inicia Sesión
                </h3>

                <div class="clearfix"></div>
            </div>
            <div id="bg-success" class="panel-collapse collapse show">
                <div class="portlet-body">
                <div id="resultados_ajax"></div>
                 <div align="center">
                    <img src="img/logo.png" class="img-responsive" alt="profile-image" width="300px" height="120px">
                </div>

                <form method="post" accept-charset="utf-8" action="login.php" name="loginform" class="form-signin">
                    <?php
// show potential errors / feedback (from login object)
    if (isset($login)) {
        if ($login->errors) {
            ?>
                            <div class="alert alert-danger alert-dismissible" role="alert">
                                <strong>Error!</strong>

                                <?php
foreach ($login->errors as $error) {
                echo $error;
            }
            ?>
                            </div>
                            <?php
}
        if ($login->messages) {
            ?>
                            <div class="alert alert-success alert-dismissible" role="alert">
                                <strong>Aviso!</strong>
                                <?php
foreach ($login->messages as $message) {
                echo $message;
            }
            ?>
                            </div>
                            <?php
}
    }
    ?>

                    <div class="form-group row">
                        <div class="col-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="mdi mdi-account"></i></span>
                                <input class="form-control" type="text" name="usuario_users" required="" placeholder="Usuario" autocomplete="off" autofocus="">
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="mdi mdi-radar"></i></span>
                                <input class="form-control" type="password" name="con_users" required="" placeholder="Contraseña" autocomplete="off">
                            </div>
                        </div>
                    </div>

                    <div class="form-group text-right m-t-20">
                        <div class="col-xs-12">
                            <button class="btn btn-lg btn-primary waves-effect waves-light btn-block btn-signin" type="submit" name="login" id="submit"><i class='fa fa-unlock'></i> Iniciar Sesión
                            </button>
                        </div>
                    </div>
                    <div class="form-group row m-t-30">
                        <div class="col-sm-7">

                        </div>
                        <div class="col-sm-5 text-right">
                            <!--<button type="button" data-toggle="modal" data-target="#nuevoUsers" class="btn btn-danger waves-effect waves-light" data-dismiss="modal"><i class="fa fa-user m-r-5"></i> Registrate</button>-->
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>

</div>

<div id="nuevoUsers" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title"><i class='fa fa-edit'></i> Nuevo Registro</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal" method="post" id="guardar_user_paciente" name="guardar_user_paciente">


                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="firstname" class="control-label">Nombres:</label>
                                <input type="text" class="form-control" id="firstname" name="firstname" required autocomplete="off">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="lastname" class="control-label">Apellidos:</label>
                                <input type="text" class="form-control" id="lastname" name="lastname" required autocomplete="off">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_name" class="control-label">Usuario:</label>
                                <input type="text" class="form-control" id="user_name" name="user_name" pattern="[a-zA-Z0-9]{2,64}" title="Nombre de usuario ( sólo letras y números, 2-64 caracteres)" required autocomplete="off">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_tel" class="control-label">Telefono:</label>
                                <input type="text" class="form-control" id="user_tel" name="user_tel"  required autocomplete="off">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_fecha_nac" class="control-label">Fecha de Nacimento</label>
                                <input type="date" class="form-control" id="user_fecha_nac" name="user_fecha_nac" required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_doc" class="control-label">Documento</label>
                                <input type="text" class="form-control" id="user_doc" name="user_doc" autocomplete="off" required>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="user_email" class="control-label">Email:</label>
                                <input type="email" class="form-control" id="user_email" name="user_email" autocomplete="off">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_password_neww" class="control-label">Contraseña:</label>
                                <input type="password" class="form-control" id="user_password_neww" name="user_password_neww" pattern=".{6,}" title="Contraseña ( min . 6 caracteres)" required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_password_repeatt" class="control-label">Repite contraseña:</label>
                                <input type="password" class="form-control" id="user_password_repeatt" name="user_password_repeatt" pattern=".{6,}" required>
                            </div>
                        </div>
                    </div>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary waves-effect waves-light" id="guardar_datos">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div><!-- /.modal -->



<script>
    var resizefunc = [];
</script>

<!-- Plugins  -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/tether.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/detect.js"></script>
<script src="assets/js/fastclick.js"></script>
<script src="assets/js/jquery.slimscroll.js"></script>
<script src="assets/js/jquery.blockUI.js"></script>
<script src="assets/js/waves.js"></script>
<script src="assets/js/wow.min.js"></script>
<script src="assets/js/jquery.nicescroll.js"></script>
<script src="assets/js/jquery.scrollTo.min.js"></script>
<script src="../plugins/switchery/switchery.min.js"></script>

<!-- Custom main Js -->
<script src="assets/js/jquery.core.js"></script>
<script src="assets/js/jquery.app.js"></script>
<script type="text/javascript" src="js/usuarios.js"></script>

</body>
</html>
<?php
}