<?php
include 'is_logged.php'; // Archivo verifica que el usario que intenta acceder a la URL está logueado

$numero_factura = $_SESSION['numero_factura'];

/* Inicia validación del lado del servidor */
if (empty($_POST['abono'])) {
    $errors[] = "Cantidad vacía";
} else if (!empty($_POST['abono'])) {
    /* Conexión a la base de datos */
    require_once "../db.php";
    require_once "../php_conexion.php";
    require_once "../funciones.php";

      /* Control de Caja */
    $caja = mysqli_query($conexion, "select LAST_INSERT_ID(caja_id) as last_id, estado_caja from detalle_caja where estado_caja = 0");
    $rw = mysqli_fetch_array($caja);
    $id_caja = $rw['last_id'];


    // Escapar y limpiar los datos
    $abono    = floatval($_POST['abono']);
    $concepto = mysqli_real_escape_string($conexion, (strip_tags($_POST["concepto"], ENT_QUOTES)));
    $user_id  = $_SESSION['id_users'];
    $fecha    = date("Y-m-d H:i:s");

    // Consulta para extraer los datos del crédito
    $consultar = mysqli_query($conexion, "SELECT * FROM creditos WHERE numero_factura='" . $numero_factura . "'");
    $rw        = mysqli_fetch_array($consultar);
    $id_cliente = $rw['id_cliente'];
    $monto_credito = $rw['monto_credito'];
    $saldo         = $rw['saldo_credito'] - $abono;

    // Verificamos si el monto está cancelado
    if ($rw['saldo_credito'] == 0) {
        echo "<script>
            $.Notification.notify('info','bottom center','NOTIFICACIÓN', 'EL CREDITO YA FUE CANCELADO EN SU TOTALIDAD')
            </script>";
        exit;
    }

    // Verificamos si el abono es mayor a la deuda
    if ($abono > $rw['saldo_credito']) {
        echo "<script>
            $.Notification.notify('error','bottom center','NOTIFICACIÓN', 'EL ABONO ES MAYOR A LA DEUDA, INTENTAR NUEVAMENTE')
            </script>";
        exit;
    }

    // Guardamos los datos en la tabla de abonos
    $sql = "INSERT INTO creditos_abonos (numero_factura, fecha_abono, id_cliente, monto_abono, abono, saldo_abono, id_users_abono, id_sucursal, concepto_abono, control_caja)
            VALUES ('$numero_factura', '$fecha', '$id_cliente', '$monto_credito', '$abono', '$saldo', '$user_id', '1', '$concepto', '$id_caja')";
    $query = mysqli_query($conexion, $sql);

    // Obtener la última factura
    $query_id = mysqli_query($conexion, "SELECT RIGHT(numero_factura, 6) AS factura FROM facturas_ventas ORDER BY factura DESC LIMIT 1")
        or die('Error ' . mysqli_error($conexion));
    $count = mysqli_num_rows($query_id);

    if ($count != 0) {
        $data_id = mysqli_fetch_assoc($query_id);
        $factura = $data_id['factura'] + 1;
    } else {
        $factura = 1;
    }

    // Formatear el número de factura
    $buat_id = str_pad($factura, 6, "0", STR_PAD_LEFT);
    $factura = "F-$buat_id";

    // Determinar condición y estado
    if ($rw['saldo_credito'] == 0) {
        $condicion = 1;
        $estado = 1;
    } else {
        $condicion = 4;
        $estado = 2;
    }

    // Insertar la nueva factura
    $insert = "INSERT INTO facturas_ventas 
                (numero_factura, fecha_factura, id_cliente, condiciones, monto_factura, estado_factura, id_users_factura, id_comp_factura, concepto, control_caja)
                VALUES ('$factura', '$fecha', '$id_cliente', '$condicion', '$abono', '$estado', '$user_id', 3, 'Abono Crédito', '$id_caja')";

    // Ejecutar la consulta de inserción
    if ($conexion->query($insert) === true) {
        // Obtener el ID de la factura recién insertada
        $factura_id = $conexion->insert_id;
        $valid['id_factura'] = $factura_id;
    } else {
        // Manejar el error si la inserción falla
        $valid['error'] = 'Error al insertar la factura: ' . $conexion->error;
    }

    // Actualizar el saldo del cliente en la tabla de créditos
    $update_saldo = mysqli_query($conexion, "UPDATE creditos SET saldo_credito = saldo_credito - '$abono' WHERE numero_factura = '$numero_factura'");

    // Comprobar si el crédito ha sido cancelado en su totalidad
    $comprobar = mysqli_query($conexion, "SELECT * FROM creditos WHERE numero_factura='" . $numero_factura . "'");
    $rww = mysqli_fetch_array($comprobar);

    if ($rww['saldo_credito'] == 0) {
        $up_credito = mysqli_query($conexion, "UPDATE creditos SET estado_credito = 2 WHERE numero_factura = '$numero_factura'");
        $up_factura = mysqli_query($conexion, "UPDATE facturas_ventas SET estado_factura = 1 WHERE numero_factura = '$numero_factura'");
        echo "<script>
            $.Notification.notify('info', 'bottom center', 'NOTIFICACIÓN', 'EL CREDITO SE HA CANCELADO EN SU TOTALIDAD')
            </script>";
    }

    if ($sql) {
        $messages[] = "El abono ha sido ingresado satisfactoriamente. Factura: " . $numero_factura;
    } else {
        $errors[] = "Lo siento, algo ha salido mal. Intenta nuevamente. " . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {
    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
    <?php
}

if (isset($messages)) {
    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
    <?php
}
?>
