<?php
/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
include "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Medicamentos";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$action         = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $aColumns = array('nombre_aparato', 'codigo_aparato'); //Columnas de busqueda
    $sTable   = "aparatos";
    $sWhere   = "";
    if ($_GET['q'] != "") {
        $sWhere = "WHERE (";
        for ($i = 0; $i < count($aColumns); $i++) {
            $sWhere .= $aColumns[$i] . " LIKE '%" . $q . "%' OR ";
        }
        $sWhere = substr_replace($sWhere, "", -3);
        $sWhere .= ')';
    }
    $sWhere .= " order by nombre_aparato";
    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 10; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/aparatos.php';
    //main query to fetch the data
    $sql   = "SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);
    //loop through fetched data
    if ($numrows > 0) {

        ?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr  class="info">
                    <th>Código</th>
                    <th>Nombre</th>
                    <th>Precio</th>
                    <th>Stock</th>
                    <th>Fecha de Vencimiento</th>
                    <th>Estado</th>
                    <th class='text-right'>Acciones</th>

                </tr>
                <?php
while ($row = mysqli_fetch_array($query)) {
            $id_aparato     = $row['id_aparato'];
            $codigo_aparato = $row['codigo_aparato'];
            $nombre_aparato = $row['nombre_aparato'];
            $precio_aparato = $row['precio_aparato'];
            $vencimiento    = $row['fecha_vencimiento'];
            $stock_aparato  = $row['stock_aparato'];
            $stock_minimo   = $row['stock_min_aparato'];
            $status_aparato = $row['estado_aparato'];
            $date_added     = date('d/m/Y', strtotime($row['fecha_added']));
            if ($status_aparato == 1) {
                $estado = "<span class='badge badge-success'>Activo</span>";
            } else {
                $estado = "<span class='badge badge-danger'>Inactivo</span>";
            }

            ?>

    <input type="hidden" value="<?php echo $codigo_aparato; ?>" id="codigo_aparato<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $nombre_aparato; ?>" id="nombre_aparato<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $precio_aparato; ?>" id="precio_aparato<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $vencimiento; ?>" id="vencimiento<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $stock_aparato; ?>" id="stock_aparato<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $stock_minimo; ?>" id="stock_minimo<?php echo $id_aparato; ?>">
    <input type="hidden" value="<?php echo $status_aparato; ?>" id="status_aparato<?php echo $id_aparato; ?>">

    <tr>
        <td><span class="badge badge-purple"><?php echo $codigo_aparato; ?></span></td>
        <td><?php echo $nombre_aparato; ?></td>
        <td><?php echo $simbolo_moneda . '' . number_format($precio_aparato, 2); ?></td>
        <td><?php echo stock($stock_aparato); ?></td>
        <td><?php echo fecha($vencimiento); ?></td>
        <td><?php echo $estado; ?></td>

        <td >
            <div class="btn-group dropdown">
                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                <div class="dropdown-menu dropdown-menu-right">
                   <?php if ($permisos_editar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarMedic" onclick="obtener_datos('<?php echo $id_aparato; ?>');"><i class='fa fa-edit'></i> Editar</a>
                   <?php }
            if ($permisos_eliminar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_aparato; ?>"><i class='fa fa-trash'></i> Borrar</a>
                   <?php }
            ?>


               </div>
           </div>

       </td>

   </tr>
   <?php
}
        ?>
<tr>
    <td colspan="7">
        <span class="pull-right">
            <?php
echo paginate($reload, $page, $total_pages, $adjacents);
        ?></span>
        </td>
    </tr>
</table>
</div>
<?php
}
//Este else Fue agregado de Prueba de prodria Quitar
    else {
        ?>
    <div class="alert alert-warning alert-dismissible" role="alert" align="center">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Aviso!</strong> No hay Registro de Aparatos Medicos
  </div>
  <?php
}
// fin else
}
?>