<?php

include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
include "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$action         = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $daterange   = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['range'], ENT_QUOTES)));
    $id_turno = intval($_REQUEST['id_turno']);
    $sTable   = "citas, pacientes, medicos ";
    $sWhere   = "WHERE citas.paciente = pacientes.id_paciente AND citas.doctor = medicos.id_medico";
    if ($id_turno > 0) {
        $sWhere .= " AND turno = '" . $id_turno . "' ";
    }
    if ($_GET['q'] != "") {
        $sWhere .= " AND (pacientes.nombre_paciente LIKE '%$q%')";
    }
    // Priorizar la fecha de hoy al cargar la página
if (empty($daterange)) {
    // Si no hay rango de fechas definido, usar la fecha de hoy
    $fecha_hoy = date('Y-m-d');
    $sWhere .= " AND DATE(citas.fecha) = '$fecha_hoy'";
} else {
    // Si hay un rango de fechas, usarlo
    list($f_inicio, $f_final) = explode(" - ", $daterange);
    list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio); // Extrae fecha inicial
    $fecha_inicial = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00"; // Fecha inicial formato inglés
    list($dia_fin, $mes_fin, $anio_fin) = explode("/", $f_final); // Extrae fecha final
    $fecha_final = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

    $sWhere .= " AND citas.fecha BETWEEN '$fecha_inicial' AND '$fecha_final'";
}

    $sWhere .= " ORDER BY id";
    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 100; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/medicamentos.php';
    //main query to fetch the data
    $sql   = "SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);
    //loop through fetched data
    if ($numrows > 0) {

        ?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr  class="info">
                <th>ID</th>
                <th>Fecha</th>
                    <th>Equipo</th>
                    <th>Nombre del Paciente</th>
                    <th>Doctor</th>
                    <th>Turno</th>
                    <th>Tipo</th>
                    <th class='text-right'>Acciones</th>
                </tr>
                <?php
while ($row = mysqli_fetch_array($query)) {
    // Obtener valores de la cita
    $id_cita = $row['id'];
    $fecha = $row['fecha'];
    $numero = $row['numero'];
    $id_paciente = $row['paciente'];
    $nombre_paciente = $row['nombre_paciente'];
    $id_medico = $row['doctor'];
    $turno = $row['turno'];
    $tipo = $row['tipo'];
    $tel_paciente = $row['tel_paciente'];
    $nombre_turno = obtenerNombreTurno($turno);
    $nombre_tipo = obtenerNombreTipo($tipo);
    $nomMedico = $row['nombre'];

    // Consulta para verificar si el id_cita está en facturas_ventas
    $query_factura = "SELECT * FROM facturas_ventas WHERE cita_id = ?";
    $stmt = $conexion->prepare($query_factura);

    // Vincular el parámetro $id_cita a la consulta
    $stmt->bind_param("i", $id_cita);  // "i" indica que es un valor entero

    // Ejecutar la consulta
    $stmt->execute();

    // Obtener el resultado
    $result = $stmt->get_result();
    $factura = $result->fetch_assoc();
    $mostrarImprimir = ($factura) ? true : false;

    ?>

    <!-- Inputs ocultos para pasar los datos -->
    <input type="hidden" value="<?php echo $fecha; ?>" id="fecha<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $numero; ?>" id="numero<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $nombre_paciente; ?>" id="nombre_paciente<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $tel_paciente; ?>" id="tel_paciente<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $id_paciente; ?>" id="id_paciente<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $id_medico; ?>" id="id_medico<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $nomMedico; ?>" id="nomMedico<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $turno; ?>" id="turno<?php echo $id_cita; ?>">
    <input type="hidden" value="<?php echo $tipo; ?>" id="tipo<?php echo $id_cita; ?>">

    <!-- Fila de la tabla -->
    <tr>
        <td><?php echo $id_cita; ?></td>
        <td><?php echo $fecha; ?></td>
        <td><span class="badge bg-primary"><?php echo $numero; ?></span></td>
        <td><?php echo $nombre_paciente; ?></td>
        <td><?php echo $nomMedico; ?></td>
        <td><span class="badge bg-primary"><?php echo $nombre_turno; ?></span></td>
        <td><?php echo $nombre_tipo; ?></td>
        <td>
            <div class="btn-group dropdown">
                 <!-- Mostrar color diferente de boton segun su estado pagado o pendiente -->
                 <?php if ($mostrarImprimir) { ?>
                <button type="button" class="btn btn-success btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false">
                    <i class='fa fa-cog'></i> <i class="caret"></i>
                </button>
                
                <?php } else { ?>
                
                <button type="button" class="btn btn-danger btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false">
                    <i class='fa fa-cog'></i> <i class="caret"></i>
                    </button>
                     <?php } ?>
                     
                <div class="dropdown-menu dropdown-menu-right">
                    <?php if ($permisos_editar == 1) { ?>
                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarCita" onclick="obtener_datos('<?php echo $id_cita; ?>');">
                            <i class='fa fa-edit'></i> Editar
                        </a>
                    <?php } 
                    if ($permisos_eliminar == 1) { ?>
                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_cita; ?>">
                            <i class='fa fa-trash'></i> Borrar
                        </a>
                    <?php } ?>

                  <!-- Mostrar botón de imprimir tratamiento o el enlace al tratamiento -->
                    <?php if ($mostrarImprimir) { ?>
                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#modalTratamiento" onclick="cargarTratamiento('<?php echo $id_cita; ?>')">
                            <i class="fa fa-print"></i> Imprimir tratamiento
                        </a>
                    <?php } else { ?>
                        <a class="dropdown-item" href="../html/tratamiento_paciente.php?id_cita=<?php echo $id_cita; ?>">
                            <i class='fa fa-stethoscope'></i> Tratamiento
                        </a>
                    <?php } ?>
                </div>
            </div>
        </td>
    </tr>

    <?php
}
?>
<tr>
    <td colspan="8">
        <span class="pull-right">
            <?php
echo paginate($reload, $page, $total_pages, $adjacents);
        ?></span>
        </td>
    </tr>
</table>
</div>
<?php
}
//Este else Fue agregado de Prueba de prodria Quitar
    else {
        ?>
    <div class="alert alert-warning alert-dismissible" role="alert" align="center">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Aviso!</strong> No hay Registro de Medicamento
  </div>
  <?php
}
// fin else
}
?>