<?php
include 'is_logged.php';
require_once "../db.php";
require_once "../php_conexion.php";
include "../funciones.php";
include "../permisos.php";

$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);

$action = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';

if ($action == 'ajax') {
    $q = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $aColumns = array('doctor'); //Columnas de búsqueda
    $sTable = "citas, pacientes";
    $sWhere = "WHERE citas.paciente = pacientes.id_paciente";

    if ($_GET['q'] != "") {
        $sWhere .= " AND (pacientes.nombre_paciente LIKE '%$q%')";
    }

    $sWhere .= " ORDER BY id";

    include 'pagination.php'; // Incluir archivo de paginación

    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page = 10;
    $adjacents = 4;
    $offset = ($page - 1) * $per_page;

    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable $sWhere");
    $row = mysqli_fetch_array($count_query);
    $numrows = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload = '../html/new_cita.php';

    $sql = "SELECT * FROM $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);

    if ($numrows > 0) {
?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr class="info">
                    <th>Fecha</th>
                    <th>Número</th>
                    <th>Nombre del Paciente</th>
                    <th>Doctor</th>
                    <th>Turno</th>
                    <th class='text-right'>Acciones</th>
                </tr>
                <?php
                while ($row = mysqli_fetch_array($query)) {
                    $id_cita = $row['id'];
                    $fecha = $row['fecha'];
                    $numero = $row['numero'];
                    $nombre_paciente = $row['nombre_paciente'];
                    $dr = $row['doctor'];
                    $turno = $row['turno'];
                    $nombre_turno = obtenerNombreTurno($turno);
                ?>
                    <input type="hidden" value="<?php echo $fecha; ?>" id="fecha<?php echo $id_cita; ?>">
                    <input type="hidden" value="<?php echo $numero; ?>" id="numero<?php echo $id_cita; ?>">
                    <input type="hidden" value="<?php echo $nombre_paciente; ?>" id="nombre_paciente<?php echo $id_cita; ?>">
                    <input type="hidden" value="<?php echo $dr; ?>" id="dr<?php echo $id_cita; ?>">
                    <input type="hidden" value="<?php echo $turno; ?>" id="turno<?php echo $id_cita; ?>">
                    <tr>
                        <td><?php echo $fecha; ?></td>
                        <td><span class="badge bg-primary"><?php echo $numero; ?></span></td>
                        <td><?php echo $nombre_paciente; ?></td>
                        <td><?php echo $dr; ?></td>
                        <td><span class="badge bg-primary"><?php echo $nombre_turno; ?></span></td>
                        <td>
                            <div class="btn-group dropdown">
                                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false">
                                    <i class='fa fa-cog'></i> <i class="caret"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <!-- Aquí puedes agregar las opciones de acciones para cada cita -->
                                    <!-- Por ejemplo: Editar, Eliminar, Ver detalles, etc. -->
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarCita" onclick="obtener_datos('<?php echo $id_cita; ?>');">
                                        <i class='fa fa-edit'></i> Editar
                                    </a>
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_cita; ?>">
                                        <i class='fa fa-trash'></i> Borrar
                                    </a>
                                </div>
                            </div>
                        </td>
                    </tr>
                <?php
                }
                ?>
                <tr>
                    <td colspan="6">
                        <span class="pull-right">
                            <?php
                            echo paginate($reload, $page, $total_pages, $adjacents);
                            ?>
                        </span>
                    </td>
                </tr>
            </table>
        </div>
<?php
    } else {
?>
        <div class="alert alert-warning alert-dismissible" role="alert" align="center">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <strong>Aviso!</strong> No hay registros de citas.
        </div>
<?php
    }
}
?>
