<?php
/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo que verifica que el usuario que intenta acceder a la URL está logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
// Inicia Control de Permisos
include "../permisos.php";
// Archivo de funciones PHP
require_once "../funciones.php";

$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Consultas";
permisos($modulo, $cadena_permisos);
// Finaliza Control de Permisos

$id_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$action    = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';

if ($action == 'ajax') {
    // Escaping, additionally removing everything that could be (html/javascript-) code
    $q      = mysqli_real_escape_string($conexion, strip_tags($_REQUEST['q'], ENT_QUOTES));
    $sTable = "consulta_general, pacientes, usuarios, detalle_consulta";
    $sWhere = " WHERE consulta_general.paciente_id = pacientes.id_paciente 
                AND consulta_general.users_id = usuarios.id_users 
                AND consulta_general.id_consulta = detalle_consulta.consulta_id";

    if ($_GET['q'] != "") {
        $sWhere .= " AND (pacientes.nombre_paciente LIKE '%$q%' OR pacientes.apellido_paciente LIKE '%$q%')";
    }

    $sWhere .= " ORDER BY consulta_general.id_consulta DESC";
    include 'pagination.php'; // Include pagination file

    // Pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 10; // How many records you want to show
    $adjacents = 4; // Gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;

    // Count the total number of rows in your table
    $count_query = mysqli_query($conexion, "SELECT COUNT(*) AS numrows FROM $sTable $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/consultas_medicas.php'; // Your pagination script file

    // Main query to fetch the data
    $sql   = "SELECT * FROM $sTable $sWhere LIMIT $offset, $per_page";
    $query = mysqli_query($conexion, $sql);

    // Loop through fetched data
    if ($numrows > 0) {
        ?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr  class="info">
                    <th>No.</th>
                    <th>Paciente</th>
                    <th>Costo Consulta</th>
                    <th>Estado</th>
                    <th>Usuario(Medico)</th>
                    <th>Agregado</th>
                    <th class='text-right'>Acciones</th>

                </tr>
                <?php
while ($row = mysqli_fetch_array($query)) {
            $id_consulta     = $row['id_consulta'];
            $id_paciente     = $row['id_paciente'];
            $nombre_paciente = $row['nombre_paciente'] . ' ' . $row['apellido_paciente'];
            $anamnesis       = $row['anamnesis'];
            $fisico          = $row['fisico'];
            $diagnostico     = $row['diagnostico'];
            $tratamiento     = $row['tratamiento'];
            $obs             = $row['obs'];
            $sist            = $row['sist_detalle'];
            $diast           = $row['diast_detalle'];
            $ppm             = $row['ppm_detalle'];
            $rpm             = $row['rpm_detalle'];
            $temp            = $row['temp_detalle'];
            $altura          = $row['altura_detalle'];
            $peso            = $row['peso_detalle'];
            $imc             = $row['imc_detalle'];
            $nombre_users    = $row['nombre_users'] . ' ' . $row['apellido_users'];
            $status          = $row['estado_consulta'];
            $date_added      = date('d/m/Y', strtotime($row['date_added']));
            $cita            = $row['proxima_cita'];
            
            $sql_monto = mysqli_query($conexion, "SELECT monto FROM ingresos WHERE id_consulta='" . $id_consulta . "'");
            $rw = mysqli_fetch_array($sql_monto);
            
            if ($rw !== null) {
                $costo = isset($rw['monto']) ? $rw['monto'] : 0;
            } else {
                $costo = 0;
            }
            

            if ($status == 1) {
                $estado = "<span class='badge badge-success'>Pagado</span>";
            } else {
                $estado = "<span class='badge badge-danger'>No Pagado</span>";
            }
            // calculo de la edad
            $cumpleanos = new DateTime($row['fecha_nacimiento']);
            $hoy        = new DateTime();
            $annos      = $hoy->diff($cumpleanos);
            $edad       = $annos->y . ' ' . "años";
            // fin calculo
            /*--------------------------------------------------------------*/
            /* Busca el Paciente en la tabla antecedentes
            /*--------------------------------------------------------------*/
            $sql = mysqli_query($conexion, "SELECT * FROM antecedentes WHERE id_paciente='" . $id_paciente . "'");
$rw = mysqli_fetch_array($sql);

if ($rw) {
    $id_ant = isset($rw['id_paciente']) ? $rw['id_paciente'] : null;
    $alergias_ant = isset($rw['alergias_ant']) ? $rw['alergias_ant'] : null;
    $enfermedades_ant = isset($rw['enfermedades_ant']) ? $rw['enfermedades_ant'] : null;
    $vacunas_ant = isset($rw['vacunas_ant']) ? $rw['vacunas_ant'] : null;
    $quirurgico_ant = isset($rw['quirurgico_ant']) ? $rw['quirurgico_ant'] : null;
} else {
    // Handle the case where no rows are returned (set default values or perform any necessary actions)
    $id_ant = null;
    $alergias_ant = null;
    $enfermedades_ant = null;
    $vacunas_ant = null;
    $quirurgico_ant = null;
}

            ?>

    <input type="hidden" value="<?php echo $nombre_paciente; ?>" id="nombre_paciente<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $anamnesis; ?>" id="anamnesis<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $fisico; ?>" id="fisico<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $diagnostico; ?>" id="diagnostico<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $tratamiento; ?>" id="tratamiento<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $obs; ?>" id="obs<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $sist; ?>" id="sist<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $diast; ?>" id="diast<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $ppm; ?>" id="ppm<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $rpm; ?>" id="rpm<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $temp; ?>" id="temp<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $altura; ?>" id="altura<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $peso; ?>" id="peso<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $imc; ?>" id="imc<?php echo $id_consulta; ?>">
    <input type="hidden" value="<?php echo $cita; ?>" id="cita<?php echo $id_consulta; ?>">


    <input type="hidden" value="<?php echo $alergias_ant; ?>" id="alergias_ant<?php echo $id_paciente; ?>">
    <input type="hidden" value="<?php echo $enfermedades_ant; ?>" id="enfermedades_ant<?php echo $id_paciente; ?>">
    <input type="hidden" value="<?php echo $vacunas_ant; ?>" id="vacunas_ant<?php echo $id_paciente; ?>">
    <input type="hidden" value="<?php echo $quirurgico_ant; ?>" id="quirurgico_ant<?php echo $id_paciente; ?>">





    <tr>
        <td><span class="badge badge-pill badge-primary"><?php echo $id_consulta; ?></span></td>
        <td><?php echo $nombre_paciente; ?></td>
        <td><?php echo $id_moneda . '' . number_format($costo, 2); ?></td>
        <td><a href="#" data-toggle="modal" data-target="#cobrosx" onclick="obtener_cobros('<?php echo $id_consulta; ?>');" data-toggle="tooltip" title="Realizar el cobro"><?php echo $estado; ?></a></td>
        <td><?php echo $nombre_users; ?></td>
        <td><?php echo $date_added; ?></td>

        <td >
            <div class="btn-group dropdown">
                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                <div class="dropdown-menu dropdown-menu-right">
                   <?php if ($permisos_editar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarConsulta" onclick="obtener_datos('<?php echo $id_consulta; ?>');editar('<?php echo $id_consulta; ?>');editar_aparatos('<?php echo $id_consulta; ?>');"><i class='fa fa-edit'></i> Editar</a>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarAnt" onclick="obtener_datos_ant('<?php echo $id_paciente; ?>');"><i class='fa fa-list'></i> Ant. Peronales</a>
                   <a class="dropdown-item" href="#" onclick="imprimir_r('<?php echo $id_consulta; ?>');"><i class='fa fa-print'></i> Imprimir Receta</a>
                   <a class="dropdown-item" href="#" onclick="imprimir_recibo('<?php echo $id_consulta; ?>');"><i class='fa fa-print'></i> Imprimir Pago</a>
                   <a class="dropdown-item" href="historial_img.php?id=<?php echo $id_paciente; ?>"><i class='fa fa-image'></i> Hist. Imagenes</a>
                   <?php }
            if ($permisos_eliminar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_consulta; ?>"><i class='fa fa-trash'></i> Borrar</a>
                   <?php }?>


               </div>
           </div>

       </td>

   </tr>
   <?php
}
        ?>
<tr>
    <td colspan="7">
        <span class="pull-right">
            <?php
echo paginate($reload, $page, $total_pages, $adjacents);
        ?></span>
        </td>
    </tr>
</table>
</div>
<?php
}
//Este else Fue agregado de Prueba de prodria Quitar
    else {
        ?>
    <div class="alert alert-warning alert-dismissible" role="alert" align="center">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Aviso!</strong> No hay Registro de Consulta
  </div>
  <?php
}
// fin else
}
?>