<?php

/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Gastos";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//Archivo de funciones PHP
require_once "../funciones.php";
$id_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

$action = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $aColumns = array('referencia_egreso'); //Columnas de busqueda
    $sTable = "egresos";
    $sWhere = "";
    
    // Filtrar por la fecha actual
    $sWhere .= "WHERE DATE(fecha_added) = CURDATE()";
    
    // Si se hace una búsqueda, añadir el filtro de búsqueda
    if ($_GET['q'] != "") {
        $q = mysqli_real_escape_string($conexion, (strip_tags($_GET['q'], ENT_QUOTES)));
        $aColumns = array('referencia_egreso'); // Columnas de búsqueda
        for ($i = 0; $i < count($aColumns); $i++) {
            $sWhere .= " AND " . $aColumns[$i] . " LIKE '%" . $q . "%'";
        }
    }
    
    $sWhere .= " ORDER BY referencia_egreso";
    
    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 10; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/gastos.php';
    //main query to fetch the data
    $sql   = "SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);
    // loop through fetched data
    $total_gastos = 0; // Variable para almacenar el total de los montos
    if ($numrows > 0) {

        ?>
        <div class="table-responsive">
    <table class="table table-sm table-striped">
        <tr class="info">
            <th>Id</th>
            <th>Referencia</th>
            <th>Descripción</th>
            <th>Monto</th>
            <th>Agregado</th>
            <th class='text-right'>Acciones</th>
        </tr>
        <?php
        $total_monto = 0; // Inicializamos la variable para el total de los montos
        while ($row = mysqli_fetch_array($query)) {
            $id_egreso = $row['id_egreso'];
            $referencia_egreso = $row['referencia_egreso'];
            $descripcion_egreso = $row['descripcion_egreso'];
            $monto = $row['monto'];
            $date_added = date('d/m/Y', strtotime($row['fecha_added']));

            // Acumulamos el monto total
            $total_monto += $monto;
            ?>
             <input type="hidden" value="<?php echo $referencia_egreso; ?>" id="referencia_egreso<?php echo $id_egreso; ?>">
                    <input type="hidden" value="<?php echo $telefono; ?>" id="telefono<?php echo $id_egreso; ?>">
                    <input type="hidden" value="<?php echo $descripcion_egreso; ?>" id="descripcion_egreso<?php echo $id_egreso; ?>">
                    <input type="hidden" value="<?php echo $monto ?>" id="monto<?php echo $id_egreso; ?>">
            <tr>
                <td><span class="badge badge-purple"><?php echo $id_egreso; ?></span></td>
                <td><?php echo $referencia_egreso; ?></td>
                <td><?php echo $descripcion_egreso; ?></td>
                <td><?php echo $id_moneda . '' . number_format($monto, 2); ?></td>
                <td><?php echo $date_added; ?></td>
                <td>
                    <div class="btn-group dropdown">
                        <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <?php if ($permisos_editar == 1) { ?>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarGasto" onclick="obtener_datos('<?php echo $id_egreso; ?>');"><i class='fa fa-edit'></i> Editar</a>
                            <?php } 
                            if ($permisos_eliminar == 1) { ?>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_egreso; ?>"><i class='fa fa-trash'></i> Borrar</a>
                            <?php } ?>
                        </div>
                    </div>
                </td>
            </tr>
        <?php
        }
        ?>
    </table>
</div>

<div class="box-footer clearfix" align="right">
    <?php
    $inicios = $offset + 1;
    $finales = $inicios + $per_page - 1; // Calculamos el final de la página actual
    if ($finales > $numrows) {
        $finales = $numrows; // Aseguramos que no supere el total de registros
    }
    echo "Mostrando $inicios al $finales de $numrows registros";
    echo paginate($reload, $page, $total_pages, $adjacents);
    ?>

    <!-- Mostrar el total al final con el formato de alerta -->
    <div class='alert alert-info alert-dismissible' role='alert' align='center'>
        <button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>&times;</span></button>
        <strong><h3>TOTAL GASTOS: <?php echo $id_moneda . ' ' . number_format($total_monto, 2); ?></h3></strong>
    </div>
</div>

        <?php
    } else {
        ?>
        <div class="alert alert-warning alert-dismissible" role="alert" align="center">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <strong>Aviso!</strong> No hay Registro de Gastos
        </div>
        <?php
    }
}
?>
