<?php
/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
include "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Medicamentos";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$action         = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $aColumns = array('nombre_medicamento', 'codigo_medicamento'); //Columnas de busqueda
    $sTable   = "medicamentos";
    $sWhere   = "";
    if ($_GET['q'] != "") {
        $sWhere = "WHERE (";
        for ($i = 0; $i < count($aColumns); $i++) {
            $sWhere .= $aColumns[$i] . " LIKE '%" . $q . "%' OR ";
        }
        $sWhere = substr_replace($sWhere, "", -3);
        $sWhere .= ')';
    }
    $sWhere .= " order by nombre_medicamento";
    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 10; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/medicamentos.php';
    //main query to fetch the data
    $sql   = "SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);
    //loop through fetched data
    if ($numrows > 0) {

        ?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr  class="info">
                    <th>Código</th>
                    <th>Nombre</th>
                    <th>Concentración</th>
                    <th>F. Farmaceutica</th>
                    <th>Presentación</th>
                    <th>Precio</th>
                    <th>Stock</th>
                    <th>Estado</th>
                    <th class='text-right'>Acciones</th>

                </tr>
                <?php
while ($row = mysqli_fetch_array($query)) {
            $id_medicamento           = $row['id_medicamento'];
            $codigo_medicamento       = $row['codigo_medicamento'];
            $nombre_medicamento       = $row['nombre_medicamento'];
            $conc_medicamento         = $row['conc_medicamento'];
            $forma_medicamento        = $row['forma_medicamento'];
            $presentacion_medicamento = $row['presentacion_medicamento'];
            $stock_medicamento        = $row['stock_medicamento'];
            $precio_medicamento       = $row['precio_medicamento'];
            $status_medicamento       = $row['estado_medicamento'];
            $inv_medicamento          = $row['inv_medicamento'];
            $date_added               = date('d/m/Y', strtotime($row['date_added']));
            if ($status_medicamento == 1) {
                $estado = "<span class='badge badge-success'>Activo</span>";
            } else {
                $estado = "<span class='badge badge-danger'>Inactivo</span>";
            }

            ?>

    <input type="hidden" value="<?php echo $codigo_medicamento; ?>" id="codigo_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $nombre_medicamento; ?>" id="nombre_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $conc_medicamento; ?>" id="conc_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $forma_medicamento; ?>" id="forma_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $presentacion_medicamento; ?>" id="presentacion_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $stock_medicamento; ?>" id="stock_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $precio_medicamento; ?>" id="precio_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $status_medicamento; ?>" id="status_medicamento<?php echo $id_medicamento; ?>">
    <input type="hidden" value="<?php echo $inv_medicamento; ?>" id="inv_medicamento<?php echo $id_medicamento; ?>">

    <tr>
        <td><span class="badge badge-purple"><?php echo $codigo_medicamento; ?></span></td>
        <td><?php echo $nombre_medicamento; ?></td>
        <td><?php echo $conc_medicamento; ?></td>
        <td><?php echo $forma_medicamento; ?></td>
        <td><?php echo $presentacion_medicamento; ?></td>
        <td><?php echo $simbolo_moneda . '' . number_format($precio_medicamento, 2); ?></td>
        <td><?php echo stock($stock_medicamento); ?></td>
        <td><?php echo $estado; ?></td>

        <td >
            <div class="btn-group dropdown">
                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                <div class="dropdown-menu dropdown-menu-right">
                   <?php if ($permisos_editar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarMedic" onclick="obtener_datos('<?php echo $id_medicamento; ?>');"><i class='fa fa-edit'></i> Editar</a>
                   <?php }
            if ($permisos_eliminar == 1) {?>
                   <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_medicamento; ?>"><i class='fa fa-trash'></i> Borrar</a>
                   <?php }
            ?>


               </div>
           </div>

       </td>

   </tr>
   <?php
}
        ?>
<tr>
    <td colspan="7">
        <span class="pull-right">
            <?php
echo paginate($reload, $page, $total_pages, $adjacents);
        ?></span>
        </td>
    </tr>
</table>
</div>
<?php
}
//Este else Fue agregado de Prueba de prodria Quitar
    else {
        ?>
    <div class="alert alert-warning alert-dismissible" role="alert" align="center">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Aviso!</strong> No hay Registro de Medicamento
  </div>
  <?php
}
// fin else
}
?>