<?php

/*-------------------------
Autor: Delmar Lopez
Web: Softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Usuarios";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos

$action = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $aColumns = array('nombre'); //Columnas de busqueda
    $sTable   = "medicos";
    $sWhere   = "";
    if ($_GET['q'] != "") {
        $sWhere = "WHERE (";
        for ($i = 0; $i < count($aColumns); $i++) {
            $sWhere .= $aColumns[$i] . " LIKE '%" . $q . "%' OR ";
        }
        $sWhere = substr_replace($sWhere, "", -3);
        $sWhere .= ')';
    }
    $sWhere .= " order by id_medico desc";
    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 10; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/usuarios.php';
    //main query to fetch the data
    $sql   = "SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
    $query = mysqli_query($conexion, $sql);
    //loop through fetched data
    if ($numrows > 0) {

        ?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr  class="info">
                    <th>ID</th>
                    <th>Nombres</th>
                    <th>Telefono</th>
                    <th>Email</th>
                    <th>Estado</th>
                    <th><span class="pull-right">Acciones</span></th>

                </tr>
                <?php
while ($row = mysqli_fetch_array($query)) {
            $id_medico    = $row['id_medico'];
            $nombre   = $row['nombre'];
            $telefono  = $row['telefono'];
            $email = $row['email'];
            $est = $row['estado'];
            if ($est == 1) {
                $estado = "<span class='badge badge-success'>Activo</span>";
            } else {
                $estado = "<span class='badge badge-danger'>Inactivo</span>";
            }

            ?>

                    <input type="hidden" value="<?php echo $nombre; ?>" id="nombre<?php echo $id_medico; ?>">
                    <input type="hidden" value="<?php echo $telefono; ?>" id="telefono<?php echo $id_medico; ?>">
                    <input type="hidden" value="<?php echo $email; ?>" id="email<?php echo $id_medico; ?>">
                    <input type="hidden" value="<?php echo $est ?>" id="estado<?php echo $id_medico; ?>">
                    <tr>
                        <td><span class="badge badge-pill badge-purple"><?php echo $id_medico; ?></span></td>
                        <td><?php echo $nombre; ?></td>
                        <td ><?php echo $telefono; ?></td>
                        <td ><?php echo $email; ?></td>
                        <td><?php echo $estado; ?></td>

                        <td >
                            <div class="btn-group dropdown">
                                                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                                                <div class="dropdown-menu dropdown-menu-right">
                                                 <?php if ($permisos_editar == 1) {?>
                                                 <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarUsers" onclick="obtener_datos('<?php echo $id_medico; ?>');"><i class='fa fa-edit'></i> Editar</a>
                                                 
                                                 <?php }
            if ($permisos_eliminar == 1) {?>
                                                 <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_medico; ?>"><i class='fa fa-trash'></i> Borrar</a>
                                                 <?php }
            ?>


                                             </div>
                                         </div>
                        </td>

                    </tr>
                    <?php
}
        ?>
                <tr>
                    <td colspan=9><span class="pull-right">
                        <?php
echo paginate($reload, $page, $total_pages, $adjacents);
        ?></span></td>
                    </tr>
                </table>
            </div>
            <?php
}
//Este else Fue agregado de Prueba de prodria Quitar
    else {
        ?>
            <div class="alert alert-warning alert-dismissible" role="alert" align="center">
              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <strong>Aviso!</strong> No hay Registro de Medicos
          </div>
          <?php
}
// fin else
}
?>