<?php

/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Pacientes";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//Archivo de funciones PHP
require_once "../funciones.php";
$action = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    $q = isset($_REQUEST['q']) ? mysqli_real_escape_string($conexion, strip_tags($_REQUEST['q'], ENT_QUOTES)) : '';
    $employee_id = isset($_REQUEST['employee_id']) ? intval($_REQUEST['employee_id']) : 0;
    $aColumns = array('nombre_paciente'); // Columnas de búsqueda
    $sTable   = "pacientes";
    $sWhere   = "";
    
    if (!empty($q)) {
        $sWhere = "WHERE (";
        foreach ($aColumns as $col) {
            $sWhere .= "$col LIKE '%$q%' OR ";
        }
        $sWhere = substr($sWhere, 0, -4) . ')';
    }
    
    if ($employee_id > 0) {
        $sWhere .= (empty($sWhere) ? "WHERE " : " AND ") . "pacientes.dr_cabecera = '$employee_id'";
    }
    
    $sWhere .= " ORDER BY nombre_paciente";
    
    include 'pagination.php'; // Include pagination file
    
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? intval($_REQUEST['page']) : 1;
    $per_page  = 10; // Records per page
    $adjacents = 4; // Gap between pages
    $offset    = ($page - 1) * $per_page;
    
    // Count query
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $sTable $sWhere");
    if (!$count_query) {
        die("Error en count_query: " . mysqli_error($conexion));
    }
    $row         = mysqli_fetch_array($count_query);
    $numrows     = $row['numrows'];
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../html/pacientes.php';
    
    // Main query to fetch the data
    $sql = "SELECT * FROM $sTable $sWhere LIMIT $offset, $per_page";
    $query = mysqli_query($conexion, $sql);
    if (!$query) {
        die("Error en query: " . mysqli_error($conexion));
    }
    
    //loop through fetched data
    if ($numrows > 0) {

?>
        <div class="table-responsive">
            <table class="table table-sm table-striped">
                <tr class="info">
                    <th></th>
                    <th>NOMBRE</th>
                    <th>TELÉFONO</th>
                    <th>DUI</th>
                    <th>FECHA NACIMIENTO</th>
                    <th>ESTADO</th>
                    <th>AGREGADO</th>
                    <th class='text-right'>ACCIONES</th>

                </tr>
                <?php
                while ($row = mysqli_fetch_array($query)) {
                    $id_paciente        = $row['id_paciente'];
                    $nombre_paciente    = $row['nombre_paciente'];
                    $dui_paciente  = $row['dui_paciente'];
                    $direccion_paciente = $row['direccion_paciente'];
                    $tel_paciente  = $row['tel_paciente'];
                    $telf2  = $row['tel_familia'];
                    $dr_cabecera      = $row['dr_cabecera'];
                    $encargado_paciente = $row['encargado_paciente'];
                    $fecha_nacimiento   = $row['fecha_nacimiento'];
                    $edad_paciente       = $row['edad_paciente'];
                    $otros = $row['otros'];
                    $fec_hemodialisis     = $row['fec_hemodialisis'];
                    $comentarios      = $row['comentarios'];
                    $status_cliente     = $row['estado_paciente'];
                    $id_users           = $row['id_users'];
                    $image_path         = $row['image_path'];
                    $date_added         = date('d/m/Y', strtotime($row['date_addedd']));
                    if ($status_cliente == 1) {
                        $estado = "<span class='badge badge-success'>Activo</span>";
                    } else {
                        $estado = "<span class='badge badge-danger'>Inactivo</span>";
                    }

                    $url_img = get_row('detalle_img', 'url_img', 'paciente_id', $id_paciente);
                    /*--------------------------------------------------------------*/
                    /* Busca el Paciente en la tabla antecedentes
            /*--------------------------------------------------------------*/
                    $sql              = mysqli_query($conexion, "select * from antecedentes where id_paciente='" . $id_paciente . "'");
                    $rw               = mysqli_fetch_array($sql);
                    $id_ant           = isset($rw['id_paciente']);
                    $alergias_ant     = isset($rw['alergias_ant']);
                    $enfermedades_ant = isset($rw['enfermedades_ant']);
                    $vacunas_ant      = isset($rw['vacunas_ant']);
                    $quirurgico_ant   = isset($rw['quirurgico_ant']);
                ?>

                    <input type="hidden" value="<?php echo $nombre_paciente; ?>" id="nombre_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $dui_paciente; ?>" id="dui_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $direccion_paciente; ?>" id="direccion_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $tel_paciente; ?>" id="tel_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $telf2; ?>" id="telf2<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $dr_cabecera; ?>" id="dr_cabecera<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $encargado_paciente; ?>" id="encargado_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $fecha_nacimiento; ?>" id="fecha_nacimiento<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $edad_paciente; ?>" id="edad_paciente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $otros; ?>" id="otros<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $fec_hemodialisis; ?>" id="fec_hemodialisis<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $comentarios; ?>" id="comentarios<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $status_cliente; ?>" id="status_cliente<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $fecha_cita; ?>" id="fecha_cita<?php echo $id_paciente; ?>">
                   
                    <input type="hidden" value="<?php echo $alergias_ant; ?>" id="alergias_ant<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $enfermedades_ant; ?>" id="enfermedades_ant<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $vacunas_ant; ?>" id="vacunas_ant<?php echo $id_paciente; ?>">
                    <input type="hidden" value="<?php echo $quirurgico_ant; ?>" id="quirurgico_ant<?php echo $id_paciente; ?>">




                    <tr>
                        <td class='text-center'>
                            <?php
                            if ($url_img == null) {
                                echo '<img src="../../img/pacientes/default.jpg" width="50" class="img-thumbnail">';
                            } else {
                                echo '<img src="' . $url_img . '" width="50" class="img-thumbnail">';
                            }

                            ?>
                        </td>
                        <td><a href="#" data-toggle="tooltip" title="<i class='fa fa-user'></i>"><?php echo $nombre_paciente; ?></td>
                        <td><?php echo $tel_paciente; ?></td>
                        <td><?php echo $dui_paciente; ?></td>
                        <td><?php echo $fecha_nacimiento; ?></td>
                        <td><?php echo $estado; ?></td>
                        <td><?php echo $date_added; ?></td>

                        <td>
                            <div class="btn-group dropdown">
                                <button type="button" class="btn btn-warning btn-sm dropdown-toggle waves-effect waves-light" data-toggle="dropdown" aria-expanded="false"> <i class='fa fa-cog'></i> <i class="caret"></i> </button>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <?php if ($permisos_editar == 1) { ?>
                                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarPaciente" onclick="obtener_datos('<?php echo $id_paciente; ?>');carga_img('<?php echo $id_paciente; ?>');"><i class='fa fa-edit'></i> Editar</a>
                                        <!--<a class="dropdown-item" href="historial.php?id=<?php echo $id_paciente; ?>"><i class='fa fa-address-book-o'></i> Historial de Salud</a>-->
                                        <a class='dropdown-item' href="#" title="Ven Consulta" onclick="imprimir_perfil('<?php echo $id_paciente; ?>');"><i class="fa fa-print"></i> Perfil
                        </a>
                                        <!--<a class="dropdown-item" href="historial_img.php?id=<?php echo $id_paciente; ?>"><i class='fa fa-image'></i> Hist. Imagenes</a>-->
                                        <!--<a class="dropdown-item" href="#" data-toggle="modal" data-target="#editarAnt" onclick="obtener_datos_ant('<?php echo $id_paciente; ?>');"><i class='fa fa-list'></i> Ant. Peronales</a>-->
                                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#historial" onclick="obtener_historial('<?php echo $id_paciente; ?>');"><i class='fa fa-address-book-o'></i> Historial Med</a>
                     <!--<a class="dropdown-item" href="#" data-toggle="modal" data-target="#pagos" onclick="obtener_pagos('<?php echo $id_paciente; ?>');"><i class='fa fa-usd'></i> Pagos Realizados</a>-->
                                    <?php }
                                    if ($permisos_eliminar == 1) { ?>
                                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $id_paciente; ?>"><i class='fa fa-trash'></i> Borrar</a>
                                    <?php } ?>


                                </div>
                            </div>

                        </td>

                    </tr>
                <?php
                }
                ?>
                <tr>
                    <td colspan="8">
                        <span class="pull-right">
                            <?php
                            echo paginate($reload, $page, $total_pages, $adjacents);
                            ?></span>
                    </td>
                </tr>
            </table>
        </div>
    <?php
    }
    //Este else Fue agregado de Prueba de prodria Quitar
    else {
    ?>
        <div class="alert alert-warning alert-dismissible" role="alert" align="center">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <strong>Aviso!</strong> No hay Registro de Pacientes
        </div>
<?php
    }
    // fin else
}
?>