<?php
require_once "../db.php";
require_once "../php_conexion.php";

// Obtener las fechas desde la solicitud AJAX
$fecha_inicio = $_GET['fecha_inicio'];
$fecha_fin = $_GET['fecha_fin'];

// Consultar las ventas dentro del rango de fechas
$ventas_query = "SELECT id_factura, fecha_factura, monto_factura, id_cliente, numero_factura, concepto FROM facturas_ventas WHERE DATE(fecha_factura) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$ventas_result = mysqli_query($conexion, $ventas_query);
$total_ventas = 0;
$ventas_html = '<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th># Factura</th>
            <th>Cliente</th>
            <th>Fecha</th>
            <th>Monto</th>
            <th>Concepto</th>
        </tr>
    </thead>
    <tbody>';

while ($venta = mysqli_fetch_assoc($ventas_result)) {
    $cliente = get_row('pacientes', 'nombre_paciente', 'id_paciente', $venta['id_cliente']);
    $total_ventas += $venta['monto_factura'];
    $ventas_html .= "<tr>
        <td>{$venta['numero_factura']}</td>
        <td>{$cliente}</td>
        <td>" . date('d/m/Y', strtotime($venta['fecha_factura'])) . "</td>
        <td>" . number_format($venta['monto_factura'], 2, ',', '.') . "</td>
        <td>{$venta['concepto']}</td>
    </tr>";
}

$ventas_html .= '</tbody></table>';

// Consultar los gastos dentro del rango de fechas
$gastos_query = "SELECT id_egreso, referencia_egreso, monto, fecha_added FROM egresos WHERE DATE(fecha_added) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$gastos_result = mysqli_query($conexion, $gastos_query);
$total_gastos = 0;
$gastos_html = '<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th># Egreso</th>
            <th>Referencia</th>
            <th>Fecha</th>
            <th>Monto</th>
        </tr>
    </thead>
    <tbody>';

while ($gasto = mysqli_fetch_assoc($gastos_result)) {
    $total_gastos += $gasto['monto'];
    $gastos_html .= "<tr>
        <td>{$gasto['id_egreso']}</td>
        <td>{$gasto['referencia_egreso']}</td>
        <td>" . date('d/m/Y', strtotime($gasto['fecha_added'])) . "</td>
        <td>" . number_format($gasto['monto'], 2, ',', '.') . "</td>
    </tr>";
}

$gastos_html .= '</tbody></table>';

// Calcular el total general (ventas - gastos)
$total_general = $total_ventas - $total_gastos;
$totales_html = "<div class='alert alert-info'>
    <h4><strong>Total Ventas: " . number_format($total_ventas, 2, ',', '.') . "</strong></h4>
    <h4><strong>Total Gastos: " . number_format($total_gastos, 2, ',', '.') . "</strong></h4>
    <h4><strong>Total General: " . number_format($total_general, 2, ',', '.') . "</strong></h4>
</div>";

// Mostrar los resultados
echo $ventas_html . $gastos_html . $totales_html;
?>
