<?php
include 'is_logged.php'; // Verifica si el usuario está logueado
$session_id = session_id();
$sucursal_users = 0;

/* Validación del lado del servidor */
if (empty($_POST['id_proveedor'])) {
    $errors[] = "El ID del proveedor está vacío.";
} else {
    /* Conexión a la base de datos */
    require_once "../db.php";
    require_once "../php_conexion.php";
    require_once "../funciones.php";

    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

    // Validar productos en la tabla temporal
    $sql_count = mysqli_query($conexion, "SELECT * FROM tmp_compra WHERE session_id='$session_id'");
    if (mysqli_num_rows($sql_count) == 0) {
        echo "<script>swal('No hay productos agregados en la factura', 'Intentar de nuevo', 'error');</script>";
        exit;
    }

    // Variables iniciales
    $id_proveedor = intval($_POST['id_proveedor']);
    $id_vendedor = intval($_SESSION['id_users']);
    $condiciones = intval($_POST['condiciones']);
    $factura = mysqli_real_escape_string($conexion, strip_tags($_POST['factura'], ENT_QUOTES));
    $referencia = mysqli_real_escape_string($conexion, strip_tags($_POST['ref'], ENT_QUOTES));
    $resibido = floatval(str_replace(',', '', $_POST['resibido']));
    $fecha = mysqli_real_escape_string($conexion, $_POST['fecha']);
    $estado = ($condiciones == 4) ? 2 : 1;
    

    // Verificar si la factura ya existe
    $sql_check = "SELECT * FROM facturas_compras WHERE numero_factura='$factura'";
    if (mysqli_num_rows(mysqli_query($conexion, $sql_check)) > 0) {
        echo "<script>swal('El número de factura ya está registrado', 'Inténtalo de nuevo', 'error');</script>";
        exit;
    }

    /* Control de Caja */
$caja = mysqli_query($conexion, "select LAST_INSERT_ID(caja_id) as last_id, estado_caja from detalle_caja where estado_caja = 0 AND  sucursal_id = $sucursal_users");
$rw = mysqli_fetch_array($caja);
$id_caja = $rw['last_id'];

    // Obtener ID de la última factura
    $result = mysqli_query($conexion, "SELECT MAX(id_factura) AS last FROM facturas_compras");
    $row = mysqli_fetch_array($result);
    $id_factura = $row['last'] + 1;

    // Inicialización
    $sumador_total = 0;

    // Procesar productos en la tabla temporal
    $sql = "SELECT * FROM medicamentos, tmp_compra 
            WHERE medicamentos.id_medicamento = tmp_compra.id_producto 
              AND tmp_compra.session_id = '$session_id'";
    $result = mysqli_query($conexion, $sql);

    while ($row = mysqli_fetch_array($result)) {
        $id_producto = $row['id_producto'];
        $cantidad = intval($row['cantidad_tmp']);
        $costo = floatval(str_replace(',', '', $row['costo_tmp']));
        $precio_total = $costo * $cantidad;

        $sumador_total += $precio_total;

        // Insertar en detalle_fact_compra
        $query = "INSERT INTO detalle_fact_compra 
                  VALUES (NULL, '$id_factura', '$factura', '$id_producto', '$cantidad', '$costo', '$sucursal_users')";
        mysqli_query($conexion, $query);

        // Actualizar stock y costo promedio en productos
        $query_stock = "SELECT stock_medicamento FROM medicamentos WHERE id_medicamento ='$id_producto'";
        $result_stock = mysqli_query($conexion, $query_stock);
        $row_stock = mysqli_fetch_array($result_stock);
        $nuevo_stock = $row_stock['stock_medicamento'] + $cantidad;

        $query_update = "UPDATE medicamentos 
                         SET stock_medicamento='$nuevo_stock', precio_medicamento='$costo' 
                         WHERE id_medicamento ='$id_producto'";
        mysqli_query($conexion, $query_update);
    }

    // Insertar en facturas_compras
    $subtotal = $sumador_total;
    $saldo_credito = $subtotal - $resibido;

    $query_factura = "INSERT INTO facturas_compras 
                      VALUES (NULL, '$factura', '$fecha', '$id_proveedor', '$id_vendedor', '$condiciones', 
                              '$subtotal', '$estado', '$id_vendedor', '$sucursal_users', '$referencia', '', '$id_caja')";
    mysqli_query($conexion, $query_factura);

    // Manejar crédito
    if ($condiciones == 4) {
        $query_credito = "INSERT INTO credito_proveedor 
                          VALUES (NULL, '$factura', '$fecha', '$id_proveedor', '$subtotal', '$saldo_credito', '1', '$id_vendedor', '$sucursal_users')";
        mysqli_query($conexion, $query_credito);

        $query_abono = "INSERT INTO creditos_abonos_prov 
                        VALUES (NULL, '$factura', '$fecha', '$id_proveedor', '$subtotal', '$resibido', '$saldo_credito', '$id_vendedor', '$sucursal_users', 'CRÉDITO INICIAL')";
        mysqli_query($conexion, $query_abono);
    }

    // Limpiar tabla temporal
    mysqli_query($conexion, "DELETE FROM tmp_compra WHERE session_id='$session_id'");

    // Mensaje de éxito
    echo "<script>swal('Compra guardada exitosamente', 'Factura: $factura', 'success');</script>";
}

if (isset($errors)) {
    echo "<div class='alert alert-danger'><strong>Error!</strong> " . implode('<br>', $errors) . "</div>";
}
?>
