<?php
include 'is_logged.php'; // Verifica que el usuario que intenta acceder a la URL está logueado

if (empty($_POST['id_cliente'])) {
    $errors[] = "Id cliente vacío";
} else {
    /* Conectar a la base de datos */
    require_once "../db.php";
    require_once "../php_conexion.php";
    require_once "../funciones.php";

    $session_id = session_id();
    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

    $id_cliente = intval($_POST['id_cliente']);
    $users = intval($_SESSION['id_users']);
    $condiciones = mysqli_real_escape_string($conexion, strip_tags($_REQUEST['condiciones'], ENT_QUOTES));
    $factura = mysqli_real_escape_string($conexion, strip_tags($_REQUEST["factura"], ENT_QUOTES));
    $resibido = max(0, floatval($_POST['resibido'])); // Asegurar que recibido no sea negativo
    $total_ft = max(0, floatval($_POST['total_ft'])); // Asegurar que total no sea negativo
    $date_added = date("Y-m-d H:i:s");
    $tipo_comp = 3;

    $estado = ($condiciones == 4) ? 2 : 1;
        /* Control de Caja */
$caja = mysqli_query($conexion, "select LAST_INSERT_ID(caja_id) as last_id, estado_caja from detalle_caja where estado_caja = 0");
$rw = mysqli_fetch_array($caja);
$id_caja = $rw['last_id'];

    if ($resibido < $total_ft && $condiciones != 4) {
        echo "<script>
            swal({
              title: 'DINERO RECIBIDO ES MENOR AL MONTO TOTALx',
              text: 'Intentar nuevamente',
              type: 'error',
              confirmButtonText: 'ok'
          })</script>";
        exit;
    }

    $sql = mysqli_query($conexion, "SELECT MAX(id_factura) AS last FROM facturas_ventas");
    $rw = mysqli_fetch_array($sql);
    $id_factura = $rw['last'] + 1;

    $sumador_total = 0;
    $total_impuesto = 0;

    $sql = mysqli_query($conexion, "SELECT * FROM medicamentos, tmp_ventas WHERE medicamentos.id_medicamento=tmp_ventas.id_producto");
    while ($row = mysqli_fetch_array($sql)) {
        $id_tmp = $row["id_tmp"];
        $id_medicamento = $row['id_medicamento'];
        $cantidad = max(0, $row['cantidad_tmp']); // Asegurar que cantidad no sea negativa
        $desc_tmp = max(0, $row['desc_tmp']); // Descuento positivo o 0
        $precio_venta = max(0, $row['precio_tmp']); // Precio no negativo

        $precio_total = $precio_venta * $cantidad;
        $final_items = rebajasMoney($precio_total, $desc_tmp);
        $sumador_total += $final_items;

        $total_iva = iva($final_items);
        $total_impuesto += $total_iva;

        $insert_detail = mysqli_query($conexion, "INSERT INTO detalle_fact_ventas VALUES (NULL, '$id_factura', '$factura', '$id_medicamento', '$cantidad', '$desc_tmp', '$precio_venta', '$precio_total', '1', '1')");

        $sql2 = mysqli_query($conexion, "SELECT stock_medicamento FROM medicamentos WHERE id_medicamento='$id_medicamento'");
        $rw2 = mysqli_fetch_array($sql2);
        $old_qty = max(0, $rw2['stock_medicamento']);
        $new_qty = max(0, $old_qty - $cantidad); // Prevenir stock negativo

        $update = mysqli_query($conexion, "UPDATE medicamentos SET stock_medicamento='$new_qty' WHERE id_medicamento='$id_medicamento'");
    }

    $total_factura = $sumador_total;
    $saldo_credito = $total_ft - $resibido;
    $saldo_credito = max(0, $saldo_credito); // Asegurar que saldo no sea negativo

    if ($condiciones == 4) {
        $total = $resibido;
    } else {
        $total = $total_factura;
    }

    if ($condiciones == 4) {
        $imprimir = "printOrderCredito($id_factura)";
        $titulo = "Ticket Crédito";
        $texto = 'ANTICIPO';
        $cambio = $resibido;
        $concepto = 'Anticipo Crédito';
    } else {
        $imprimir = "printOrder('$id_factura')";
        $titulo = "Ticket";
        $texto = 'CAMBIO';
        $cambio = max(0, $resibido - $total_factura); // Prevenir cambio negativo
        $concepto = 'Venta';
    }

    $insert = "INSERT INTO facturas_ventas VALUES (NULL, '$factura', '$date_added', '$id_cliente', '$condiciones', '$total', '$estado', '$users', '$resibido', '1', 1, '$tipo_comp', '$concepto','$id_caja')";
    if ($conexion->query($insert) === true) {
        $factura_id = $conexion->insert_id;
        $valid['id_factura'] = $factura_id;
    }

    $delete = mysqli_query($conexion, "DELETE FROM tmp_ventas WHERE session_id='" . $session_id . "'");
    $saldo_credito = max(0, $total_factura - $resibido); // Calcular correctamente el saldo


    if ($condiciones == 4) { // Si la condición es crédito
        // Insertar en la tabla de créditos
        $insert_credito = mysqli_query($conexion, 
            "INSERT INTO creditos (
                numero_factura, fecha_credito, id_cliente, id_vendedor, monto_credito, saldo_credito, estado_credito, id_users_credito, id_sucursal
            ) VALUES (
                '$factura', '$date_added', '$id_cliente', '$users', '$total_factura', '$saldo_credito', '1', '$users', '1'
            )"
        );
    
        // Insertar el abono inicial en la tabla de abonos
        $insert_abono = mysqli_query($conexion, 
            "INSERT INTO creditos_abonos (
                numero_factura, fecha_abono, id_cliente, monto_abono, abono, saldo_abono, id_users_abono, concepto_abono, control_caja
            ) VALUES (
                '$factura', '$date_added', '$id_cliente', '$total_factura', '$resibido', '$saldo_credito', '$users', 'CREDITO INICIAL', '$id_caja'
            )"
        );
    
        if (!$insert_credito || !$insert_abono) {
            $errors[] = "Error al registrar el crédito: " . mysqli_error($conexion);
        }
    }
    

    if ($insert_detail) {
        echo "<script>
        $('#outer_comprobante').load('../ajax/carga_correlativos.php');
        $('#resultados5').load('../ajax/carga_num_trans.php');
        $('#modal_vuelto').modal('show');
        $('#id_cliente').val(1);
        $('#resultados6').load('../ajax/carga_comprobantes.php');
        $('#outer_comprobante').load('../ajax/carga_correlativoDefault.php');
</script>";
    } else {
        $errors[] = "Lo siento, algo ha salido mal. Intenta nuevamente. " . mysqli_error($conexion);
    }
}

if (isset($errors)) {
    echo "<div class='alert alert-danger' role='alert'><strong>Error!</strong>";
    foreach ($errors as $error) {
        echo $error;
    }
    echo "</div>";
}

if (isset($messages)) {
    echo "<div class='alert alert-success' role='alert'><strong>¡Bien hecho!</strong>";
    foreach ($messages as $message) {
        echo $message;
    }
    echo "</div>";
}
?>
<!-- Modal -->
<div class="modal fade" id="modal_vuelto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> <?php echo $titulo; ?>: <?php echo $factura; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <strong>
                    <h3><?php echo $texto; ?></h3>
                </strong>
                <div class="alert alert-info" align="center">
                    <strong>
                        <h1><?php echo $simbolo_moneda . ' ' . number_format($cambio, 2); ?></h1>
                    </strong>
                </div>
            </div>
            <div class="modal-footer">
            <button type="button" id="imprimir" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick=" <?php echo $imprimir; ?>" accesskey="t"><span class="fa fa-print"></span> <?php echo $titulo; ?></button><br>
            </div>
        </div>
    </div>
</div>
