<?php
include 'is_logged.php'; // Verifica que el usuario que intenta acceder a la URL está logueado

if (empty($_POST['id_paciente'])) {
    $errors[] = "ID vacío";
} else {
    /* Conectar a la base de datos */
    require_once "../db.php";
    require_once "../php_conexion.php";
    require_once "../funciones.php";

    $session_id = session_id();
    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
    $id_cita = $_SESSION['id_cita'];

    $sql_count = mysqli_query($conexion, "SELECT cita_id FROM tmp_tratamiento WHERE cita_id='$id_cita'");
    if (mysqli_num_rows($sql_count) == 0) {
        echo "<script>
        swal({
          title: 'No hay medicamentos agregados en la facturaxx',
          text: 'Intentar nuevamente',
          type: 'error',
          confirmButtonText: 'ok'
      })</script>";
        exit;
    }

    $id_cliente = intval($_POST['id_paciente']);
    $users = intval($_SESSION['id_users']);
    $condiciones = mysqli_real_escape_string($conexion, strip_tags($_REQUEST['condiciones'], ENT_QUOTES));
    $factura = mysqli_real_escape_string($conexion, strip_tags($_REQUEST["factura"], ENT_QUOTES));
    $resibido = floatval($_POST['resibido']);
    $total_ft = floatval($_POST['total_ft']);
    $date_added = date("Y-m-d H:i:s");
    $tipo_comp = 3;

    $estado = ($condiciones == 4) ? 2 : 1;
    /* Control de Caja */
$caja = mysqli_query($conexion, "select LAST_INSERT_ID(caja_id) as last_id, estado_caja from detalle_caja where estado_caja = 0");
$rw = mysqli_fetch_array($caja);
$id_caja = $rw['last_id'];

    if ($resibido < $total_ft && $condiciones != 4) {
        echo "<script>
            swal({
              title: 'DINERO RECIBIDO ES MENOR AL MONTO TOTAL',
              text: 'Intentar nuevamente',
              type: 'error',
              confirmButtonText: 'ok'
          })</script>";
        exit;
    }

    $sql = mysqli_query($conexion, "SELECT MAX(id_factura) AS last FROM facturas_ventas");
    $rw = mysqli_fetch_array($sql);
    $id_factura = $rw['last'] + 1;

    $sumador_total = 0;
    $total_impuesto = 0;

    $sql = mysqli_query($conexion, "SELECT * FROM medicamentos, tmp_tratamiento WHERE medicamentos.id_medicamento=tmp_tratamiento.id_producto AND tmp_tratamiento.cita_id='$id_cita'");
    while ($row = mysqli_fetch_array($sql)) {
        $id_tmp = $row["id_tmp"];
        $id_medicamento = $row['id_medicamento'];
        $cantidad = $row['cantidad_tmp'];
        $desc_tmp = $row['desc_tmp'];
        $precio_venta = $row['precio_tmp'];

        $precio_total = $precio_venta * $cantidad;
        $final_items = rebajasMoney($precio_total, $desc_tmp);
        $sumador_total += $final_items;

        $total_iva = iva($final_items);
        $total_impuesto += $total_iva;

        $insert_detail = mysqli_query($conexion, "INSERT INTO detalle_fact_ventas VALUES (NULL, '$id_factura', '$factura', '$id_medicamento', '$cantidad', '$desc_tmp', '$precio_venta', '$precio_total', '1', '$id_cita')");

        $sql2 = mysqli_query($conexion, "SELECT stock_medicamento FROM medicamentos WHERE id_medicamento='$id_medicamento'");
        $rw2 = mysqli_fetch_array($sql2);
        $old_qty = $rw2['stock_medicamento'];
        $new_qty = $old_qty - $cantidad;

        $update = mysqli_query($conexion, "UPDATE medicamentos SET stock_medicamento='$new_qty' WHERE id_medicamento='$id_medicamento'");
    }

    $total_factura = $sumador_total;
    //$cambio = $resibido - $total_factura;
    $saldo_credito = $total_factura - $resibido;
    if ($condiciones == 4) {
        $total = $resibido;
    }else {
        $total = $total_factura;
    }
    if ($condiciones == 4) {
        $imprimir = "printOrderCredito('$id_factura')";
        $titulo   = "Ticket Crédito";
        $texto = 'ANTICIPO';
        $cambio = $resibido;
        $concepto = 'Anticipo Crédito';
    } else {
        $imprimir = "printOrder('$id_factura')";
        $titulo   = "Ticket";
        $texto = 'CAMBIO';
        $cambio = $resibido - $total_factura;
        $concepto = 'Venta';
    }

    $insert = "INSERT INTO facturas_ventas VALUES (NULL, '$factura', '$date_added', '$id_cliente', '$condiciones', '$total', '$estado', '$users', '$resibido', '1', $id_cita, '$tipo_comp', '$concepto','$id_caja')";
    if ($conexion->query($insert) === true) {
        $factura_id = $conexion->insert_id;
        $valid['id_factura'] = $factura_id;
    }

    $delete = mysqli_query($conexion, "DELETE FROM tmp_tratamiento WHERE cita_id='$id_cita'");

    if ($condiciones == 4) {
        $insert_prima = mysqli_query($conexion, 
        "INSERT INTO creditos 
        VALUES (NULL, '$factura', '$date_added', '$id_cliente', '', 
        '$total_factura', '$saldo_credito', '1', '$users', '$')");
        $insert_abono = mysqli_query($conexion, 
            "INSERT INTO creditos_abonos 
            VALUES (NULL, '$factura', '$date_added', '$id_cliente', '$total_factura', 
            '$resibido', '$saldo_credito', '$users', '1', 'CREDITO INICIAL', '$id_caja')");
        echo "<script>
         $('#modal_vuelto').modal('show');
         $('#resultados').load('../ajax/agregar_tmp.php');
  </script>";
    }

    if ($insert_detail) {
        echo "<script>
        $('#outer_comprobante').load('../ajax/carga_correlativos.php');
        $('#resultados5').load('../ajax/carga_num_trans.php');
        $('#modal_vuelto').modal('show');
        $('#id_cliente').val(1);
        $('#resultados6').load('../ajax/carga_comprobantes.php');
        $('#outer_comprobante').load('../ajax/carga_correlativoDefault.php');
</script>";
    } else {
        $errors[] = "Lo siento, algo ha salido mal. Intenta nuevamente. " . mysqli_error($conexion);
    }
}

if (isset($errors)) {
    echo "<div class='alert alert-danger' role='alert'><strong>Error!</strong>";
    foreach ($errors as $error) {
        echo $error;
    }
    echo "</div>";
}

if (isset($messages)) {
    echo "<div class='alert alert-success' role='alert'><strong>¡Bien hecho!</strong>";
    foreach ($messages as $message) {
        echo $message;
    }
    echo "</div>";
}
?>
<!-- Modal -->
<div class="modal fade" id="modal_vuelto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> <?php echo $titulo; ?>: <?php echo $factura; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <strong>
                    <h3><?php echo $texto; ?></h3>
                </strong>
                <div class="alert alert-info" align="center">
                    <strong>
                        <h1><?php echo $simbolo_moneda . ' ' . number_format($cambio, 2); ?></h1>
                    </strong>
                </div>
            </div>
            <div class="modal-footer">
            <button type="button" id="imprimir" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick=" <?php echo $imprimir; ?>" accesskey="t"><span class="fa fa-print"></span> <?php echo $titulo; ?></button><br>
            </div>
        </div>
    </div>
</div>
