<?php
include 'is_logged.php'; // Archivo verifica que el usuario que intenta acceder a la URL está logueado

if (empty($_POST['nombre'])) {
    $errors[] = "Nombres vacíos";
} else {
    require_once "../db.php";
    require_once "../php_conexion.php";

    // Escaping y removiendo todo lo que pueda ser código (html/javascript)
    $nombre = mysqli_real_escape_string($conexion, strip_tags($_POST["nombre"], ENT_QUOTES));
    $tel = mysqli_real_escape_string($conexion, strip_tags($_POST["tel"], ENT_QUOTES));
    $email = mysqli_real_escape_string($conexion, strip_tags($_POST["email"], ENT_QUOTES));
    $estado = intval($_POST['estado']);

    // Verificar si el nombre del médico ya existe
    $sql = "SELECT * FROM medicos WHERE nombre = '$nombre'";
    $query_check_user_name = mysqli_query($conexion, $sql);
    
    if (!$query_check_user_name) {
        $errors[] = "Error en la consulta: " . mysqli_error($conexion);
    } else {
        if (mysqli_num_rows($query_check_user_name) > 0) {
            $errors[] = "Lo sentimos, el nombre del médico ya está en uso.";
        } else {
            // Insertar los datos del nuevo médico en la base de datos
            $sql = "INSERT INTO medicos (nombre, telefono, email, estado) VALUES ('$nombre', '$tel', '$email', '$estado')";
            $query_new_user_insert = mysqli_query($conexion, $sql);

            if ($query_new_user_insert) {
                $messages[] = "Médico ha sido creado con éxito.";
            } else {
                $errors[] = "Lo sentimos, el registro falló. Por favor, regrese y vuelva a intentarlo.";
            }
        }
    }

    // Cerrar la conexión
    mysqli_close($conexion);
}

// Mostrar errores si existen
if (isset($errors)) {
    echo '<div class="alert alert-danger" role="alert">';
    echo '<strong>Error!</strong> ';
    foreach ($errors as $error) {
        echo $error . "<br>";
    }
    echo '</div>';
}

// Mostrar mensajes si existen
if (isset($messages)) {
    echo '<div class="alert alert-success" role="alert">';
    echo '<strong>¡Bien hecho!</strong> ';
    foreach ($messages as $message) {
        echo $message . "<br>";
    }
    echo '</div>';
}
?>
