<?php
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";

// Obtener la fecha de hoy en formato 'Y-m-d'
$hoy = date('Y-m-d');

// Establecer fechas predeterminadas si no se reciben
$fecha_inicio = isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : $hoy;
$fecha_fin = isset($_POST['fechaFin']) ? $_POST['fechaFin'] : $hoy;

// Consultar ventas en el rango de fechas
$ventas_query = "SELECT id_factura, fecha_factura, monto_factura, id_cliente, numero_factura, concepto 
                 FROM facturas_ventas 
                 WHERE DATE(fecha_factura) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$ventas_result = mysqli_query($conexion, $ventas_query);
$total_ventas = 0;

// Consultar gastos en el rango de fechas
$gastos_query = "SELECT id_egreso, referencia_egreso, monto, fecha_added 
                 FROM egresos 
                 WHERE DATE(fecha_added) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$gastos_result = mysqli_query($conexion, $gastos_query);
$total_gastos = 0;

// Generar contenido dinámico
ob_start();
?>
<h4 class="text-primary"><strong>Ventas del rango de fechas:</strong></h4>
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th># Factura</th>
            <th>Cliente</th>
            <th>Fecha</th>
            <th>Monto</th>
            <th>Concepto</th>
        </tr>
    </thead>
    <tbody>
    <?php
    while ($venta = mysqli_fetch_assoc($ventas_result)) {
        $cliente = get_row('pacientes', 'nombre_paciente', 'id_paciente', $venta['id_cliente']);
        $total_ventas += $venta['monto_factura'];
        echo "<tr>
            <td>{$venta['numero_factura']}</td>
            <td>{$cliente}</td>
            <td>" . date('d/m/Y', strtotime($venta['fecha_factura'])) . "</td>
            <td>" . number_format($venta['monto_factura'], 2, ',', '.') . "</td>
            <td>{$venta['concepto']}</td>
        </tr>";
    }
    ?>
    </tbody>
</table>

<h4 class="text-danger"><strong>Gastos del rango de fechas:</strong></h4>
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th># Egreso</th>
            <th>Referencia</th>
            <th>Fecha</th>
            <th>Monto</th>
        </tr>
    </thead>
    <tbody>
    <?php
    while ($gasto = mysqli_fetch_assoc($gastos_result)) {
        $total_gastos += $gasto['monto'];
        echo "<tr>
            <td>{$gasto['id_egreso']}</td>
            <td>{$gasto['referencia_egreso']}</td>
            <td>" . date('d/m/Y', strtotime($gasto['fecha_added'])) . "</td>
            <td>" . number_format($gasto['monto'], 2, ',', '.') . "</td>
        </tr>";
    }
    ?>
    </tbody>
</table>

<?php
$total_general = $total_ventas - $total_gastos;
?>
<div class="alert alert-info">
    <h4><strong>Total Ventas: <?php echo number_format($total_ventas, 2, ',', '.'); ?></strong></h4>
    <h4><strong>Total Gastos: <?php echo number_format($total_gastos, 2, ',', '.'); ?></strong></h4>
    <h4><strong>Total General (Ventas - Gastos): <?php echo number_format($total_general, 2, ',', '.'); ?></strong></h4>
</div>
<?php
echo ob_get_clean();
?>
