<?php
include "is_logged.php"; // Archivo comprueba si el usuario está logueado
$numero_factura = $_SESSION['numero_factura'];
// Conectar a la base de datos
require_once "../db.php";
require_once "../php_conexion.php";
// Inicia Control de Permisos
include "../permisos.php";
// Archivo de funciones PHP
require_once "../funciones.php";

$user_id = $_SESSION['id_users'];
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$action = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';

if ($action == 'ajax') {
    // Filtrar rango de fechas
    $daterange = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['range'], ENT_QUOTES)));
    $tables = "creditos_abonos";
    $campos = "*";
    $sWhere = "numero_factura='" . $numero_factura . "'";

    if (!empty($daterange)) {
        list($f_inicio, $f_final) = explode(" - ", $daterange);
        list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio);
        $fecha_inicial = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00";
        list($dia_fin, $mes_fin, $anio_fin) = explode("/", $f_final);
        $fecha_final = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

        $sWhere .= " AND fecha_abono BETWEEN '$fecha_inicial' AND '$fecha_final'";
    }

    $sWhere .= " ORDER BY id_abono DESC";

    // Paginación
    include 'pagination.php'; // Archivo de paginación
    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page = 10; // Cuántos registros mostrar
    $adjacents = 4; // Espacio entre páginas
    $offset = ($page - 1) * $per_page;

    // Contar el total de registros
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $tables WHERE $sWhere");
    if ($row = mysqli_fetch_array($count_query)) {
        $numrows = $row['numrows'];
    } else {
        echo mysqli_error($conexion);
        exit;
    }

    $total_pages = ceil($numrows / $per_page);
    $reload = '../ver_cxc.php';

    // Consulta principal para obtener los datos
    $query = mysqli_query($conexion, "SELECT $campos FROM $tables WHERE $sWhere LIMIT $offset, $per_page");

    if ($numrows > 0) {
        ?>

        <div class="table-responsive">
            <table class="table table-sm table-condensed table-hover table-striped">
                <tr>
                    <th>Factura</th>
                    <th>Fecha</th>
                    <th>Crédito</th>
                    <th>Abonos</th>
                    <th>Saldo</th>
                    <th></th>
                </tr>
                <?php
                $finales = 0;
                while ($row = mysqli_fetch_array($query)) {
                    $id_users = $row['id_users_abono'];
                    $sql = mysqli_query($conexion, "SELECT usuario_users FROM usuarios WHERE id_users='" . $id_users . "'");
                    $rw = mysqli_fetch_array($sql);
                    $usuario = $rw['usuario_users'];
                    ?>
                    <tr>
                        <td><label class='badge badge-purple'><?php echo $row['numero_factura']; ?></label></td>
                        <td><?php echo date("d/m/Y", strtotime($row['fecha_abono'])); ?></td>
                        <td><?php echo $simbolo_moneda . '' . number_format($row['monto_abono'], 2); ?></td>
                        <td><?php echo $simbolo_moneda . '' . number_format($row['abono'], 2); ?></td>
                        <td><?php echo $simbolo_moneda . '' . number_format($row['saldo_abono'], 2); ?></td>
                        <td>
                            <a class='btn btn-info btn-sm waves-effect waves-light' href="#" title="Imprimir Recibo" onclick="imprimir_abono('<?php echo $row['id_abono']; ?>');">
                                <i class="fa fa-print"></i>
                            </a>
                            <!--<a class='btn btn-danger btn-sm waves-effect waves-light' href="#" data-toggle="modal" data-target="#dataDelete" data-id="<?php echo $row['id_abono']; ?>"">
                                <i class="fa fa-trash"></i>-->
                            </a>
                        </td>
                    </tr>
                <?php } ?>
            </table>
        </div>

        <div class="box-footer clearfix" align="right">
            <?php
            $inicios = $offset + 1;
            $finales += $inicios - 1;
            echo "Mostrando $inicios al $finales de $numrows registros";
            echo paginate($reload, $page, $total_pages, $adjacents);
            ?>
        </div>

        <?php
    }
}
?>
