<?php
require_once 'lib/PHPExcel/PHPExcel.php';
require_once "../db.php"; 
require_once "../php_conexion.php";
require_once "../funciones.php";

$fechaInicio = isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('Y-m-d');
$fechaFin = isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('Y-m-d');

$sql = mysqli_query($conexion, "SELECT moneda, nombre_empresa FROM perfil");
$rw = mysqli_fetch_array($sql);
$moneda = $rw["moneda"];
$bussines_name = $rw["nombre_empresa"];

$objPHPExcel = new PHPExcel();
$objPHPExcel->setActiveSheetIndex(0);
$sheet = $objPHPExcel->getActiveSheet();
$sheet->setTitle("Reporte Diario");

$sheet->setCellValue("A1", "Reporte Diario")->mergeCells("A1:F1");
$sheet->setCellValue("A2", "Fecha Inicio: $fechaInicio");
$sheet->setCellValue("C2", "Fecha Fin: $fechaFin");
$sheet->setCellValue("A4", "Ventas del Día");

$headers = ["Factura", "Cliente", "Fecha", "Medico", "Monto", "Concepto"];
$col = 'A';
foreach ($headers as $header) {
    $sheet->setCellValue($col . '5', $header);
    $col++;
}

$ventas_query = "SELECT id_factura, fecha_factura, monto_factura, concepto, id_cliente, numero_factura 
                 FROM facturas_ventas 
                 WHERE DATE(fecha_factura) BETWEEN '$fechaInicio' AND '$fechaFin'";
$ventas_result = mysqli_query($conexion, $ventas_query);
$rowNum = 6;
$total_ventas = 0;

while ($venta = mysqli_fetch_assoc($ventas_result)) {
    $cliente = get_row('pacientes', 'nombre_paciente', 'id_paciente', $venta['id_cliente']);
    $med_paciente = get_row('pacientes', 'dr_cabecera', 'id_paciente', $venta['id_cliente']);
    $medico = get_row('medicos', 'nombre', 'id_medico', $med_paciente);
    $total_ventas += $venta['monto_factura'];
    
    $sheet->setCellValue("A$rowNum", $venta['numero_factura']);
    $sheet->setCellValue("B$rowNum", $cliente);
    $sheet->setCellValue("C$rowNum", date('d/m/Y', strtotime($venta['fecha_factura'])));
    $sheet->setCellValue("D$rowNum", $medico);
    $sheet->setCellValue("E$rowNum", $moneda . ' ' . number_format($venta['monto_factura'], 2, ',', '.'));
    $sheet->setCellValue("F$rowNum", $venta['concepto']);
    $rowNum++;
}

$sheet->setCellValue("D$rowNum", "Total Ventas:");
$sheet->setCellValue("E$rowNum", $moneda . ' ' . number_format($total_ventas, 2, ',', '.'));

$sheet->setCellValue("A" . ($rowNum + 2), "Gastos del Día");
$headersGastos = ["Egreso", "Referencia", "Fecha", "Monto"];
$col = 'A';
foreach ($headersGastos as $header) {
    $sheet->setCellValue($col . ($rowNum + 3), $header);
    $col++;
}

$gastos_query = "SELECT id_egreso, referencia_egreso, monto, fecha_added 
                 FROM egresos 
                 WHERE DATE(fecha_added) BETWEEN '$fechaInicio' AND '$fechaFin'";
$gastos_result = mysqli_query($conexion, $gastos_query);
$rowNum += 4;
$total_gastos = 0;

while ($gasto = mysqli_fetch_assoc($gastos_result)) {
    $total_gastos += $gasto['monto'];
    
    $sheet->setCellValue("A$rowNum", $gasto['id_egreso']);
    $sheet->setCellValue("B$rowNum", $gasto['referencia_egreso']);
    $sheet->setCellValue("C$rowNum", date('d/m/Y', strtotime($gasto['fecha_added'])));
    $sheet->setCellValue("D$rowNum", $moneda . ' ' . number_format($gasto['monto'], 2, ',', '.'));
    $rowNum++;
}

$sheet->setCellValue("C$rowNum", "Total Gastos:");
$sheet->setCellValue("D$rowNum", $moneda . ' ' . number_format($total_gastos, 2, ',', '.'));

$sheet->setCellValue("C" . ($rowNum + 2), "Total General:");
$sheet->setCellValue("D" . ($rowNum + 2), $moneda . ' ' . number_format($total_ventas - $total_gastos, 2, ',', '.'));

header("Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
header("Content-Disposition: attachment;filename=Reporte_Diario.xlsx");
header("Cache-Control: max-age=0");

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
?>
