<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}

/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
if (!empty($_GET['id_medico'])) {
    $id_medico = limpiar($_GET['id_medico']);
} else {

    $id_medico = '';
}
$sql = "SELECT id, id_paciente, obs, start, end, color, id_medico FROM events WHERE id_medico='$id_medico'";
$req = $conexion2->prepare($sql);
$req->execute();
$events = $req->fetchAll();

$query = $conexion->query("select * from usuarios WHERE tipo_users=1");
$users = array();
while ($r = $query->fetch_object()) {$users[] = $r;}
?>

<?php require 'includes/header_start.php';?>

<!-- FullCalendar -->
<link href='fullcalendar/fullcalendar.css' rel='stylesheet' />
<link href='fullcalendar/fullcalendar.print.min.css' rel='stylesheet' media='print' />
<link rel="stylesheet" href="build/css/bootstrap-datetimepicker.min.css">
<!-- Custom CSS -->
<style>
	body {
		padding-top: 0px;

	}
	#calendar {
		max-width: 1100px;
	}
	.col-centered{
		float: none;
		margin: 0 auto;
	}
</style>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<?php
if ($permisos_editar == 1) {
        include "../modal/agregar_citas2.php";
        include "../modal/editar_citas2.php";
    }
    ?>
					<form name="gor" action="" method="get">
						<div class="row">
							<div class="col-md-4"></div>
							<div class="col-md-4">
								<div class="input-group">
									<select id="id_medico" name="id_medico" class="form-control" onchange="getval(this);">
										<option value="">-- SELECCIONE MEDICO --</option>
										<?php foreach ($users as $u): ?>
										<option value="<?php echo $u->id_users; ?>"><?php echo $u->nombre_users . ' ' . $u->apellido_users; ?></option>
									<?php endforeach;?>
								</select>
								<span class="input-group-btn">
									<button type="submit" class="btn btn-outline-primary waves-effect waves-light" onclick='load(1);'>
										<span class="fa fa-search" ></span></button>
									</span>
								</div>
							</div>
							<div class="col-md-4"></div>
						</div>
					</form>

					<div id="resultados_ajax"></div>
					<div id="calendar" class="col-centered"></div><br>

				</div>
				<!-- end container -->
				<?php
} else {
    ?>
				<section class="content">
					<div class="alert alert-danger" align="center">
						<h3>Acceso denegado! </h3>
						<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
					</div>
				</section>
				<?php
}
?>
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php';?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui -->
<!-- ============================================================== -->
<!-- FullCalendar -->
<script src='js/moment.min.js'></script>
<script src='fullcalendar/fullcalendar.min.js'></script>
<script src='fullcalendar/fullcalendar.js'></script>
<script src='fullcalendar/locale/es-do.js'></script>

<script src="build/js/bootstrap-datetimepicker.min.js"></script>

<script type="text/javascript">
	$(function () {
		$('#start').datetimepicker({
			format: 'YYYY-MM-DD HH:mm',
			sideBySide: true,
			daysOfWeekDisabled: [0, 7]

		});
		var date = new Date();
		var today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
		$('#end').datetimepicker({
			format: 'YYYY-MM-DD HH:mm',
			sideBySide: true,
			minDate: today ,
			daysOfWeekDisabled: [0, 7]//el dia domingo desabilitado
		});
	});
</script>
<script>

	$(document).ready(function() {

		var date = new Date();
		var yyyy = date.getFullYear().toString();
		var mm = (date.getMonth()+1).toString().length == 1 ? "0"+(date.getMonth()+1).toString() : (date.getMonth()+1).toString();
		var dd  = (date.getDate()).toString().length == 1 ? "0"+(date.getDate()).toString() : (date.getDate()).toString();

		$('#calendar').fullCalendar({

			header: {
				language: 'es',
				left: 'prev,next today',
					center: 'title',// Muestra el titulo del mes en el calendario
					right: 'month,agendaWeek,agendaDay,listMonth',

				},
				defaultView: 'agendaWeek',
				defaultDate: yyyy+"-"+mm+"-"+dd,
				editable: true,
				slotDuration: '00:15:00',//CAMBIAR EL RANGO DE TIEMPO, IMPORTANTE
			eventLimit: true, // allow "more" link when too many events
			selectable: true,
			selectHelper: true,
			allDaySlot: false,
			select: function(start, end) {
				if(start.isBefore(moment())) {
					$('#calendar').fullCalendar('unselect');
					swal("FECHA Y HORA YA NO ES VALIDA", "", "error")
					return false;
				}

				$('#ModalAdd #start').val(moment(start).format('YYYY-MM-DD HH:mm:ss'));
				$('#ModalAdd #end').val(moment(end).format('YYYY-MM-DD HH:mm:ss'));
				$('#ModalAdd').modal('show');
			},
			eventRender: function(event, element) {
				element.bind('dblclick', function() {
					$('#ModalEdit #id').val(event.id);
					$('#ModalEdit #paciente').val(event.paciente);
					$('#ModalEdit #obs').val(event.obs);
					$('#ModalEdit #color').val(event.color);
					$('#ModalEdit #medico').val(event.medico);
					$('#ModalEdit').modal('show');
				});
			},
			eventDrop: function(event, delta, revertFunc) { // si changement de position

				edit(event);

			},
			eventResize: function(event,dayDelta,minuteDelta,revertFunc) { // si changement de longueur

				edit(event);

			},
			events: [
			<?php foreach ($events as $event):

    $start = explode(" ", $event['start']);
    $end   = explode(" ", $event['end']);
    if ($start[1] == '00:00:00') {
        $start = $start[0];
    } else {
        $start = $event['start'];
    }
    if ($end[1] == '00:00:00') {
        $end = $end[0];
    } else {
        $end = $event['end'];
    }
    $nombre_paciente = get_row('pacientes', 'nombre_paciente', 'id_paciente', $event['id_paciente']);
    ?>
															{
																id: '<?php echo $event['id']; ?>',
																medico: '<?php echo $event['id_medico']; ?>',
																paciente: '<?php echo $event['id_paciente']; ?>',
																obs: '<?php echo $event['obs']; ?>',
																title: '<?php echo $nombre_paciente; ?>',
																start: '<?php echo $start; ?>',
																end: '<?php echo $end; ?>',
																color: '<?php echo $event['color']; ?>',
															},
														<?php endforeach;?>
		]
	});

		function edit(event){
			start = event.start.format('YYYY-MM-DD HH:mm:ss');
			if(event.end){
				end = event.end.format('YYYY-MM-DD HH:mm:ss');
			}else{
				end = start;
			}

			id =  event.id;

			Event = [];
			Event[0] = id;
			Event[1] = start;
			Event[2] = end;

			$.ajax({
				url: '../ajax/editEventDate.php',
				type: "POST",
				data: {Event:Event},
				success: function(rep) {
					if(rep == 'OK'){
						swal("CAMBIO DE CITA GUARDADO EXITOSAMENTE", "", "success")
						$("#resultados_citas").load("../ajax/carga_citas.php");
						$("#resultados_citas_total").load("../ajax/carga_citas_total.php");
					}else{
						swal('ERROR NO SE PUEDE GUARDAR','Inténtalo de nuevo!','error')
					}
				}
			});
		}

	});

</script>
<script>
	$(function() {
		$("#nombre_paciente").autocomplete({
			source: "../ajax/autocomplete/pacientes.php",
			minLength: 1,
			appendTo: "#ModalAdd",
			select: function(event, ui) {
				event.preventDefault();
				$('#paciente').val(ui.item.id_paciente);
				$('#nombre_paciente').val(ui.item.nombre_paciente);

			}
		});

	});

	$("#nombre_paciente" ).on( "keydown", function( event ) {
		if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
		{
			$("#paciente" ).val("");

		}
		if (event.keyCode==$.ui.keyCode.DELETE){
			$("#nombre_paciente" ).val("");
			$("#paciente" ).val("");

		}
	});
</script>
<script type="text/javascript">
	$(document).ready(function() {
		$("#resultados_citas").load("../ajax/carga_citas.php");
		$("#resultados_citas_total").load("../ajax/carga_citas_total.php");
		load(1);
	});
</script>
<script>
	/*$("#guardar_cita").submit(function(event) {
		    $('#guardar_datos').attr("disabled", true); //boton Guardar
		    var parametros = $(this).serialize();

		    $.ajax({
		    	type: "POST",
		    	url: "../ajax/nueva_cita.php",
		    	data: parametros,
		    	beforeSend: function(objeto) {
		    		$("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		    	},
		    	success: function(datos) {
		    		$("#resultados_ajax").html(datos);
		            $('#guardar_datos').attr("disabled", false); //boton Guardar
		            $('#ModalAdd').modal('hide');
		            //resetea el formulario
		            $("#guardar_cita")[0].reset();
		            $('#calendar').fullCalendar("refetchEvents");
		            $("#calendar").fullCalendar('renderEvent');

		            //desaparecer la alerta
		            window.setTimeout(function() {
		            	$(".alert").fadeTo(500, 0).slideUp(500, function() {
		            		$(this).remove();
		            	});
		            }, 5000);
		        }
		    });
		    event.preventDefault();
		})*/
	</script>
	<?php require 'includes/footer_end.php'
?>

