<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";
include "../permisos.php";

$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Pacientes";
permisos($modulo, $cadena_permisos);

if (isset($_GET['id'])) {
    $id_paciente = intval($_GET['id']);
    $sql_pacientes = mysqli_query($conexion, "SELECT * FROM pacientes WHERE id_paciente='$id_paciente'");
	$url_img = get_row('detalle_img', 'url_img', 'paciente_id', $id_paciente);
    $count = mysqli_num_rows($sql_pacientes);
    if ($count == 1) {
        $rw_paciente = mysqli_fetch_array($sql_pacientes);
    } else {
        header("location: ../html/pacientes.php");
        exit;
    }
} else {
    header("location: ../html/pacientes.php");
    exit;
}
?>
<?php require 'includes/header_start.php'; ?>
<?php require 'includes/header_end.php'; ?>

<div id="wrapper" class="forced enlarged">
    <?php require 'includes/menu.php'; ?>
    <div class="content-page">
        <div class="content">
            <div class="container">
                <?php if ($permisos_ver == 1) { ?>
                    <div class="row">
                        <div class="col-xl-3 col-lg-4">
                            <div class="text-center card-box">
                                <div class="member-card">
                                    <div class="thumb-xl member-thumb m-b-10 center-block">
                                        <img src=" <?php
                            if ($url_img == null) {
                                echo '<img src="../../img/pacientes/default.jpg" width="50" class="img-thumbnail">';
                            } else {
                                echo '<img src="' . $url_img . '" width="50" class="img-thumbnail">';
                            }

                            ?>" class="rounded-circle img-thumbnail" alt="profile-image">
                                    </div>
                                    <h5 class="m-b-5"><?php echo $rw_paciente['nombre_paciente']; ?></h5>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-8">
                            <div class="portlet">
                                <div class="portlet-heading bg-primary">
                                    <h3 class="portlet-title">Historial de Salud</h3>
                                </div>
                                <div class="portlet-body">
                                    <!-- Mostrar citas -->
                                    <h4>Citas del Paciente</h4>
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Fecha</th>
                                                <th>Doctor</th>
                                                <th>Turno</th>
                                                <th>Tipo</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $sql_citas = mysqli_query($conexion, "SELECT c.id, c.fecha, d.nombre AS doctor, c.turno, c.tipo FROM citas c 
                                                JOIN medicos d ON c.doctor = d.id_medico 
                                                WHERE c.paciente='$id_paciente'");
                                            while ($row = mysqli_fetch_array($sql_citas)) {
                                                echo "<tr>
                                                        <td>{$row['id']}</td>
                                                        <td>{$row['fecha']}</td>
                                                        <td>{$row['doctor']}</td>
                                                        <td>{$row['turno']}</td>
                                                        <td>{$row['tipo']}</td>
                                                    </tr>";
                                            }
                                            ?>
                                        </tbody>
                                    </table>

                                    <!-- Mostrar pagos -->
                                    <h4>Pagos del Paciente</h4>
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Fecha</th>
                                                <th>Número Factura</th>
                                                <th>Monto</th>
                                                <th>Condiciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $sql_pagos = mysqli_query($conexion, "SELECT f.id_factura, f.fecha_factura, f.numero_factura, f.monto_factura, f.condiciones 
                                                FROM facturas_ventas f WHERE f.id_cliente='$id_paciente'");
                                            while ($row = mysqli_fetch_array($sql_pagos)) {
                                                echo "<tr>
                                                        <td>{$row['id_factura']}</td>
                                                        <td>{$row['fecha_factura']}</td>
                                                        <td>{$row['numero_factura']}</td>
                                                        <td>{$row['monto_factura']}</td>
                                                        <td>{$row['condiciones']}</td>
                                                    </tr>";
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } else { ?>
                    <div class="alert alert-danger text-center">
                        <h3>Acceso Denegado!</h3>
                        <p>No cuentas con los permisos necesarios para acceder a este módulo.</p>
                    </div>
                <?php } ?>
            </div>
        </div>
        <?php require 'includes/pie.php'; ?>
    </div>
</div>

<?php require 'includes/footer_start.php'; ?>
<script type="text/javascript" src="../../js/historial.js"></script>
<?php require 'includes/footer_end.php'; ?>
