<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Pacientes";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//Archivo de funciones PHP
require_once "../funciones.php";
if (isset($_GET['id'])) {
    $id_paciente   = intval($_GET['id']);
    $sql_pacientes = mysqli_query($conexion, "select * from pacientes where id_paciente='$id_paciente'");
    $count         = mysqli_num_rows($sql_pacientes);
    if ($count == 1) {
        $rw             = mysqli_fetch_array($sql_pacientes);
        $_SESSION['id'] = $id_paciente;
        $nombre_users   = $rw['nombre_paciente'];
        $apellido_users = $rw['apellido_paciente'];
        $telefono_users = $rw['telefono_paciente'];
        $email_users    = $rw['email_paciente'];
        $image_path     = $rw['image_path'];
        $url_img        = get_row('detalle_img', 'url_img', 'paciente_id', $id_paciente);

        if ($url_img == null) {
            $img = '../../img/pacientes/default.jpg';
        } else {
            $img = $url_img;
        }
    } else {
        header("location: ../html/pacientes.php");
        exit;
    }
} else {
    header("location: ../html/pacientes.php");
    exit;
}
?>
<?php require 'includes/header_start.php';?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css" />
<link rel="stylesheet" href="cards-gallery.css">

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<div class="row">
						<div class="col-xl-3 col-lg-4">
							<div class="text-center card-box">
								<div class="member-card">
									<div class="thumb-xl member-thumb m-b-10 center-block">
										<div id="load_imggg">
											<img src="<?php echo $img; ?>" class="thumb-img" alt="profile-image">
										</div>
									</div>

									<div>
										<h5><?php echo $nombre_users . ' ' . $apellido_users ?></h5>
									</div>

									<div class="text-left m-t-40">
										<p><strong>Paciente :</strong> <span class="m-l-15"><?php echo $nombre_users . ' ' . $apellido_users ?></span></p>

										<p><strong>Telefono :</strong><span class="m-l-15"><?php echo $telefono_users ?></span></p>

										<p><strong>Email :</strong> <span class="m-l-15"><?php echo $email_users ?></span></p>
									</div>
									<div>
										<a href="#" class='btn btn-success btn-sm waves-effect waves-light' data-toggle="modal" style="color:white;" data-toggle="modal" data-target="#nuevaImg"><i class="fa fa-plus"></i> Agregar Imagen
										</a>
									</div>
								</div>

							</div> <!-- end card-box -->

						</div> <!-- end col -->
						<div class="col-lg-8">
							<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
							<?php
if ($permisos_editar == 1) {
        include '../modal/add_img.php';
        include "../modal/eliminar_img.php";
    }
    ?>

							<div id="outer_galeria"></div><!-- Carga img CON AJAX -->


						</div>
					</div>
					<?php
} else {
    ?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
					<?php
}
?>

			</div>
			<!-- end container -->
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php';?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.js"></script>
<script>
	$(document).ready(function() {
		$('#outer_galeria').load('../ajax/cargar_galeria.php')
		$(".UpperCase").on("keypress", function () {
			$input=$(this);
			setTimeout(function () {
				$input.val($input.val().toUpperCase());
			},50);
		})
		load(1);

	});
	function upload_image(paciente_id){
		$("#load_img").text('Cargando...');
		var inputFileImage = document.getElementById("imagefile");
		var file = inputFileImage.files[0];
		var data = new FormData();
		var titulo = $("#titulo").val();
		var des = $("#des").val();
		data.append('titulo', titulo);
		data.append('des', des);
		data.append('imagefile',file);
		data.append('paciente_id',paciente_id);
		if (titulo=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO TITULO ES OBLIGATORIO')
			$("#titulo").focus();
			$("#imagefile" ).val("");
			$("#mydiv").load();
			return false;
		}
		if (des=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO DESCRIPCION ES OBLIGATORIO')
			$("#des").focus();
			$("#imagefile" ).val("");
			return false;
		}
		$.ajax({
					url: "../ajax/imagen_paciente_ajax3.php",        // Url to which the request is send
					type: "POST",             // Type of request to be send, called as method
					data: data, 			  // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					cache: false,             // To unable request pages to be cached
					processData:false,        // To send DOMDocument or non processed data file it is set to false
					success: function(data)   // A function to be called if request succeeds
					{
						$("#titulo" ).val("");
						$("#des" ).val("");
						$('#outer_galeria').load('../ajax/cargar_galeria.php')
						$("#imagefile" ).val("");
						$("#load_img").html(data);
						    //desaparecer la alerta
						    window.setTimeout(function() {
						    	$(".alert").fadeTo(200, 0).slideUp(200, function() {
						    		$(this).remove();
						    	});

						    }, 2000);

						}
					});
	}
</script>
<script>
	function carga_img(paciente_id) {
		$(".outer_img").load("../ajax/img.php?paciente_id=" + paciente_id);
	}
</script>
<script>
	$('#dataDelete').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
		    modal.find('#id_img').val(id)
		})
	$("#eliminarDatos").submit(function(event) {
		var parametros = $(this).serialize();
		$.ajax({
			type: "POST",
			url: "../ajax/eliminar_img.php",
			data: parametros,
			beforeSend: function(objeto) {
				$(".datos_ajax_delete").html('<img src="../../img/ajax-loader.gif"> Cargando...');
			},
			success: function(datos) {
				$(".datos_ajax_delete").html(datos);
				$('#dataDelete').modal('hide');
				$('#outer_galeria').load('../ajax/cargar_galeria.php')
		            //desaparecer la alerta
		            window.setTimeout(function() {
		            	$(".alert").fadeTo(200, 0).slideUp(200, function() {
		            		$(this).remove();
		            	});
		            }, 2000);
		        }
		    });
		event.preventDefault();
	});
</script>
<?php require 'includes/footer_end.php'
?>

