<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
include "../funciones.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
?>
<?php require 'includes/header_start.php';?>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged"> <!-- DESACTIVA EL MENU -->

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<?php verificarEstadoCaja($conexion);?>
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Conectados
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<?php
if ($permisos_editar == 1) {
        include '../modal/registro_cita.php';
        include "../modal/editar_cita.php";
        include "../modal/eliminar_cita.php";
		include "../modal/tratamiento.php";
    }
    ?>

									<form class="form-horizontal" role="form" id="datos_cotizacion">
										<div class="form-group row">
											<div class="col-md-3">
												<div class="input-group">
													<input type="text" class="form-control" id="q" placeholder="Buscar por Nombre" onkeyup='load(1);' style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
													<span class="input-group-btn">
														
													</div>
												</div>
												<div class="col-md-3">
											<div class="input-group">
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
												<input type="text" class="form-control daterange pull-right" 
       value="<?php echo date('d/m/Y') . ' - ' . date('d/m/Y'); ?>" 
       id="range" readonly>
												<button type="button" class="btn btn-outline-primary waves-effect waves-light" onclick='load(1);'>
															<span class="fa fa-search" ></span></button>
														</span>
											</div>
										</div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <select class="form-control" onchange="load(1);" id="id_turno" name="id_turno" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
                                                        <option value="0">-- SELECCIONAR TURNO --</option>
                                                        <option value="0">Todos</option>
                                                        <option value="1">6am</option>
                                                        <option value="2">9am</option>
                                                        <option value="3">1pm</option>
                                                    </select>
                                                    </div>
                                                </div>
												
												<div class="col-md-2">
													<div class="btn-group pull-center">
														<button type="button" class="btn btn-success waves-effect waves-light" data-toggle="modal" data-target="#nuevaCita"><i class="fa fa-plus"></i> Agregar</button>
													</div>

												</div>
												<div class="col-md-1">
													<span id="loader"></span>
												</div>


											</div>
										</form>
										<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
										<div class='outer_div'></div><!-- Carga los datos ajax -->


									</div>
								</div>
							</div>
						</div>
						<?php
} else {
    ?>
						<section class="content">
							<div class="alert alert-danger" align="center">
								<h3>Acceso denegado! </h3>
								<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
							</div>
						</section>
						<?php
}
?>

				</div>
				<!-- end container -->
			</div>
			<!-- end content -->

			<?php require 'includes/pie.php';?>

		</div>
		<!-- ============================================================== -->
		<!-- End Right content here -->
		<!-- ============================================================== -->


	</div>
	<!-- END wrapper -->

	<?php require 'includes/footer_start.php'
?>
	<!-- ============================================================== -->
	<!-- Todo el codigo js aqui
	<!-- ============================================================== -->
	<script type="text/javascript" src="../../js/citas.js"></script>
	<script>
		$(function () {
        //Initialize Select2 Elements
		$(".select2").select2();
		//Date range picker
$('.daterange').daterangepicker({
  buttonClasses: ['btn', 'btn-sm'],
  applyClass: 'btn-success',
  cancelClass: 'btn-default',
  locale: {
    format: "DD/MM/YYYY",
    separator: " - ",
    applyLabel: "Aplicar",
    cancelLabel: "Cancelar",
    fromLabel: "Desde",
    toLabel: "Hasta",
    customRangeLabel: "Custom",
    daysOfWeek: [
    "Do",
    "Lu",
    "Ma",
    "Mi",
    "Ju",
    "Vi",
    "Sa"
    ],
    monthNames: [
    "Enero",
    "Febrero",
    "Marzo",
    "Abril",
    "Mayo",
    "Junio",
    "Julio",
    "Agosto",
    "Septiembre",
    "Octubre",
    "Noviembre",
    "Diciembre"
    ],
    firstDay: 1
  },
  opens: "right"

});
	});

		$(function() {
				$("#nombre_paciente").autocomplete({
					source: "../ajax/autocomplete/pacientes.php",
					minLength: 2,
					appendTo: "#nuevaCita",
					select: function(event, ui) {
						event.preventDefault();
						$('#id_paciente').val(ui.item.id_paciente);
						$('#nombre_paciente').val(ui.item.nombre_paciente);
						$('#tel').val(ui.item.telefono_paciente);
						$('#doctor').val(ui.item.nombre_medico);
						$('#id_medico').val(ui.item.id_medico);
					}
				});
	
			});
	
			$("#nombre_paciente" ).on( "keydown", function( event ) {
				if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
				{
					$("#id_paciente" ).val("");
					$("#tel" ).val("");
					$("#doctor" ).val("");
					$("#id_medico" ).val("");
					
				}
				if (event.keyCode==$.ui.keyCode.DELETE){
					$("#nombre_paciente" ).val("");
					$("#id_paciente" ).val("");
					$("#tel" ).val("");
					$("#doctor" ).val("");
					$("#id_medico" ).val("");
				}
			});
			$(document).ready( function () {
			$(".UpperCase").on("keypress", function () {
				$input=$(this);
				setTimeout(function () {
					$input.val($input.val().toUpperCase());
				},50);
			})
		})
	
		$(function() {
				$("#nombre_paciente2").autocomplete({
					source: "../ajax/autocomplete/pacientes.php",
					minLength: 2,
					appendTo: "#editarCita",
					select: function(event, ui) {
						event.preventDefault();
						$('#id_paciente2').val(ui.item.id_paciente);
						$('#nombre_paciente2').val(ui.item.nombre_paciente);
						$('#tel2').val(ui.item.telefono_paciente);
						$('#doctor2').val(ui.item.nombre_medico);
						$('#id_medico2').val(ui.item.id_medico);
					}
				});
	
			});
	
			$("#nombre_paciente2" ).on( "keydown", function( event ) {
				if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
				{
					$("#id_paciente2" ).val("");
					$("#tel2" ).val("");
					$("#doctor2" ).val("");
					$("#id_medico2" ).val("");
					
				}
				if (event.keyCode==$.ui.keyCode.DELETE){
					$("#nombre_paciente2" ).val("");
					$("#id_paciente2" ).val("");
					$("#tel2" ).val("");
					$("#doctor2" ).val("");
					$("#id_medico2" ).val("");
				}
			});
			$(document).ready( function () {
			$(".UpperCase").on("keypress", function () {
				$input=$(this);
				setTimeout(function () {
					$input.val($input.val().toUpperCase());
				},50);
			})
		})
		</script>
<script>
    // Cuando se abre la modal, cargar los números no utilizados
    $('#nuevaCita').on('show.bs.modal', function (e) {
        // Llamada AJAX para obtener los números no utilizados
        $.ajax({
            //url: '../ajax/obtener_numeros_no_utilizados.php', 
			url: '../ajax/obtener_numeros_no_utilizados.php?turno=' + $('#turno').val(),// Cambiar a la ruta correcta de tu archivo PHP
            type: 'GET',
			success: function(data) {
        // Actualizar las opciones del select con los números obtenidos
        $('#numero').html(data);
    },
            error: function(error) {
                console.error('Error en la llamada AJAX: ', error);
            }
        });
    });
	
</script>


	<?php require 'includes/footer_end.php'
?>

