<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
//Archivo de funciones PHP
require_once "../funciones.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Pacientes";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$count   = mysqli_query($conexion, "select MAX(cod_ref) as codigo from pacientes");
$rw      = mysqli_fetch_array($count);
$cod_ref = $rw['codigo'] + 1;
?>

<?php require 'includes/header_start.php';?>
<link rel="stylesheet" href="build/css/bootstrap-datetimepicker.min.css">
<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<?php verificarEstadoCaja($conexion);?>
		<div class="content">
			<div class="container">
<?php if ($permisos_ver == 1) {
    ?>
				<div class="col-lg-12">
					<div class="portlet">
						<div class="portlet-heading bg-primary">
							<h3 class="portlet-title">
								Pacientes
							</h3>
							<div class="portlet-widgets">
								<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
								<span class="divider"></span>
								<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
								<span class="divider"></span>
								<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
							</div>
							<div class="clearfix"></div>
						</div>
						<div id="bg-primary" class="panel-collapse collapse show">
							<div class="portlet-body">

<?php
if ($permisos_editar == 1) {
        include '../modal/registro_paciente.php';
        include "../modal/editar_paciente.php";
        include "../modal/eliminar_paciente.php";
        include "../modal/editar_antecente.php";
        include "../modal/ver_historial.php";
        include "../modal/ver_pagos.php";
    }
    ?>

								<form class="form-horizontal" role="form" id="datos_cotizacion">
									<div class="form-group row">
										<div class="col-md-4">
											<div class="input-group">
												<input type="text" class="form-control" id="q" placeholder="Buscar Paciente por Nombre" onkeyup='load(1);'>
												<span class="input-group-btn">
													<button type="button" class="btn btn-outline-primary waves-effect waves-light" onclick='load(1);'>
														<span class="fa fa-search" ></span></button>
													</span>
												</div>
											</div>
											<div class="col-md-3">
											<div class="input-group">
												<select id="employee_id" class="form-control" onchange="load(1);">
													<option value=""> Selecciona Medico </option>
													<option value=""> Todos </option>
													<?php
$sql1 = mysqli_query($conexion, "select * from medicos");
    while ($rw1 = mysqli_fetch_array($sql1)) {
        ?>
                      <option value="<?php echo $rw1['id_medico'] ?>"><?php echo $rw1['nombre']; ?></option>
                      <?php
}
    ?>
												</select>
												<span class="input-group-btn">
													<button class="btn btn-info waves-effect waves-light" type="button" onclick='load(1);'><i class='fa fa-search'></i></button>
												</span>
											</div>
										</div>
										<div class="col-md-2">
										<!-- Botón para generar el reporte -->
										<button id="btnAbrirReporte" class="btn btn-primary">Abrir Reporte</button>
											</div>
											<div class="col-md-1">
												<span id="loader"></span>
											</div>
											<div class="col-md-2">
												<div class="btn-group pull-center">
												<button type="button" class="btn btn-success waves-effect waves-light" data-toggle="modal" data-target="#nuevoPaciente"><i class="fa fa-user-plus"></i> Nuevo</button>
												</div>

											</div>

										</div>
									</form>
									<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
									<div class='outer_div'></div><!-- Carga los datos ajax -->



								</div>
							</div>
						</div>
					</div>
					<?php
} else {
    ?>
		<section class="content">
			<div class="alert alert-danger" align="center">
				<h3>Acceso denegado! </h3>
				<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
			</div>
		</section>
		<?php
}
?>

				</div>
				<!-- end container -->
			</div>
			<!-- end content -->

			<?php require 'includes/pie.php';?>

		</div>
		<!-- ============================================================== -->
		<!-- End Right content here -->
		<!-- ============================================================== -->


	</div>
	<!-- END wrapper -->

	<?php require 'includes/footer_start.php'
?>
	<!-- ============================================================== -->
	<!-- Todo el codigo js aqui-->
	<!-- ============================================================== -->
	<script type="text/javascript" src="../../js/pacientes.js"></script>
	<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
	<script src='fullcalendar/locale/es-do.js'></script>
<script src="build/js/bootstrap-datetimepicker.min.js"></script>
	<script>
	function obtener_historial(id_paciente) {
		    $(".outer_div4").load("../modal/historial.php?id_paciente=" + id_paciente);
		}
		function obtener_pagos(id_paciente) {
		    $(".outer_div5").load("../modal/pagos.php?id_paciente=" + id_paciente);
		}
</script>
<script type="text/javascript">
	$(function () {
		var date = new Date();
		var today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
		$('#cita').datetimepicker({
			format: 'YYYY-MM-DD HH:mm:00',
			sideBySide: true,
			daysOfWeekDisabled: [0, 7]
		});

	});
</script>
 <script>
		function upload_image(cod_ref){
				$("#load_img").text('Cargando...');
				var inputFileImage = document.getElementById("imagefile");
				var file = inputFileImage.files[0];
				var data = new FormData();
				data.append('imagefile',file);
				$.ajax({
					url: "../ajax/imagen_paciente_ajax.php",        // Url to which the request is send
					type: "POST",             // Type of request to be send, called as method
					data: data, 			  // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					cache: false,             // To unable request pages to be cached
					processData:false,        // To send DOMDocument or non processed data file it is set to false
					success: function(data)   // A function to be called if request succeeds
					{
						$("#load_img").html(data);

					}
				});

			}
			function upload_image_mod(id_paciente){
				$("#load_img_mod").text('Cargando...');
				var inputFileImage = document.getElementById("imagefile_mod");
				var file = inputFileImage.files[0];
				var data = new FormData();
				data.append('imagefile_mod',file);
				data.append('id_paciente',id_paciente);



				$.ajax({
					url: "../ajax/imagen_paciente_ajax2.php",        // Url to which the request is send
					type: "POST",             // Type of request to be send, called as method
					data: data, 			  // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					cache: false,             // To unable request pages to be cached
					processData:false,        // To send DOMDocument or non processed data file it is set to false
					success: function(data)   // A function to be called if request succeeds
					{
						$("#load_img_mod").html(data);

					}
				});

			}
    </script>
    <script>
		function carga_img(id_paciente) {
			$(".outer_img").load("../ajax/img.php?id_paciente=" + id_paciente);
		}
	</script>
<script>
	$(document).ready( function () {
		$(".UpperCase").on("keypress", function () {
			$input=$(this);
			setTimeout(function () {
				$input.val($input.val().toUpperCase());
			},50);
		})
	})
</script>
<script>
	function imprimir_perfil(id_paciente) {
		VentanaCentrada('../reportes/perfil.php?id_paciente=' + id_paciente, 'Reporte', '', '800', '600', 'true');
	}
</script>
<script>
       $(document).ready(function() {
    $('#btnAbrirReporte').click(function() {
        var medicoId = $('#employee_id').val(); // Obtener el id_medico seleccionado

        // Si se seleccionó un médico, abrir el reporte con el id_medico como parámetro
        if (medicoId != '') {
            window.open('../reportes/pacientes.php?id_medico=' + medicoId, '_blank');
        } else {
            // Si no se seleccionó un médico, abrir el reporte sin el parámetro id_medico (mostrar todos los pacientes)
            window.open('../reportes/pacientes.php', '_blank');
        }
    });
});

</script>
	<?php require 'includes/footer_end.php'
?>

