<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}

/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";

// Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Reportes";
permisos($modulo, $cadena_permisos);
// Finaliza Control de Permisos
$Reportes = 1;
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
?>
<?php require 'includes/header_start.php'; ?>

<?php require 'includes/header_end.php'; ?>

<!-- Begin page -->
<div id="wrapper">

	<?php require 'includes/menu.php'; ?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
        <?php verificarEstadoCaja($conexion);?>
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) { ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Reporte Diario
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
								<div class="form-inline justify-content-center align-items-center mb-3">


								<div class="d-flex justify-content-center align-items-center mb-3 flex-wrap">
    <!-- Campo de Fecha Inicial -->
    <div class="form-group mx-2 d-flex align-items-center">
        <label for="fechaInicio" class="mr-2 mb-0">Fecha Inicial:</label>
        <input type="date" id="fechaInicio" class="form-control" value="<?php echo date('Y-m-d'); ?>">
    </div>

    <!-- Campo de Fecha Final -->
    <div class="form-group mx-2 d-flex align-items-center">
        <label for="fechaFin" class="mr-2 mb-0">Fecha Final:</label>
        <input type="date" id="fechaFin" class="form-control" value="<?php echo date('Y-m-d'); ?>">
    </div>

    <!-- Botón Filtrar -->
    <button id="filtrarRango" class="btn btn-primary mx-2">
        <i class="fa fa-filter"></i> Filtrar
    </button>

    <!-- Botón para Generar PDF -->
<form action="../reportes/rep_diario.php" method="POST" target="_blank" class="d-flex align-items-center mx-2 report-form">
    <input type="hidden" name="fechaInicio" class="inputFechaInicio">
    <input type="hidden" name="fechaFin" class="inputFechaFin">
    <button type="submit" class="btn btn-success">
        <i class="fa fa-print"></i> Imprimir Reporte
    </button>
</form>

<!-- Botón para Descargar Excel -->
<form action="../excel/rep_diario.php" method="POST" target="_blank" class="d-flex align-items-center mx-2 report-form">
    <input type="hidden" name="fechaInicio" class="inputFechaInicio">
    <input type="hidden" name="fechaFin" class="inputFechaFin">
    <button type="submit" class="btn btn-primary">
        <i class="fa fa-file-excel"></i> Descargar Excel
    </button>
</form>

<script>
    document.querySelectorAll('.report-form').forEach(form => {
        form.addEventListener('submit', function () {
            this.querySelector('.inputFechaInicio').value = document.getElementById('fechaInicio').value;
            this.querySelector('.inputFechaFin').value = document.getElementById('fechaFin').value;
        });
    });
</script>

</div>


</div>


<div id="resultadoVentasGastos">
    <!-- Aquí se cargará dinámicamente el contenido de ventas y gastos -->
</div>

<div id="resultadoVentasGastos">
    <!-- Aquí se cargará dinámicamente el contenido de ventas y gastos -->
</div>




								</div>
							</div>
						</div>
					</div>
				<?php } else { ?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado!</h3>
							<p>No cuentas con los permisos necesarios para acceder a este módulo.</p>
						</div>
					</section>
				<?php } ?>

			</div>
		</div>

		<?php require 'includes/pie.php'; ?>

	</div>
</div>

<?php require 'includes/footer_start.php' ?>

<script>
    $(document).ready(function () {
    // Función para cargar datos según el rango de fechas
    function cargarVentasGastos(fechaInicio, fechaFin) {
        $.ajax({
            url: '../ajax/procesar_fecha.php', // Ruta a tu archivo PHP
            method: 'POST',
            data: { fechaInicio: fechaInicio, fechaFin: fechaFin },
            success: function (response) {
                $('#resultadoVentasGastos').html(response);
            },
            error: function () {
                alert('Hubo un error al cargar los datos.');
            }
        });
    }

    // Obtener la fecha de hoy en formato 'Y-m-d'
    var hoy = new Date();
    var fechaInicio = hoy.toISOString().split('T')[0]; // Formato Y-m-d
    var fechaFin = fechaInicio;

    // Asignar las fechas al formulario
    $('#fechaInicio').val(fechaInicio);
    $('#fechaFin').val(fechaFin);

    // Cargar datos automáticamente al cargar la página
    cargarVentasGastos(fechaInicio, fechaFin);

    // Evento al hacer clic en el botón "Filtrar"
    $('#filtrarRango').on('click', function () {
        const fechaInicio = $('#fechaInicio').val();
        const fechaFin = $('#fechaFin').val();

        if (fechaInicio && fechaFin) {
            cargarVentasGastos(fechaInicio, fechaFin);
        } else {
            alert('Por favor, selecciona ambas fechas.');
        }
    });
});



</script>

<?php require 'includes/footer_end.php' ?>
