<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}

/* Connect To Database */
require_once "../db.php"; // Contiene las variables de configuración para conectar a la base de datos
require_once "../php_conexion.php"; // Contiene función que conecta a la base de datos
require_once "../funciones.php"; // Archivo de funciones PHP

// Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
$nombre_users = get_row('usuarios', 'nombre_users', 'id_users', $user_id);
$apellido_users = get_row('usuarios', 'apellido_users', 'id_users', $user_id);

get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);
// Finaliza Control de Permisos

// Asegúrate de recibir el ID del paciente
if (isset($_GET['id_cita'])) {
    $id_cita = intval($_GET['id_cita']); // Asegúrate de que es un entero para evitar inyecciones SQL
    $_SESSION['id_cita'] = $id_cita; // Guarda el ID del paciente en la sesión
} else {
    // Redirige o muestra un mensaje si no se recibe el ID del paciente
    header("location: ../../error.php");
    exit;
}
$id_paciente = get_row('citas', 'paciente', 'id', $id_cita);
// Consulta para obtener el nombre y apellido del paciente usando PDO
$sql = "SELECT nombre_paciente FROM pacientes WHERE id_paciente = :id_paciente";
$stmt = $conexion2->prepare($sql);

if ($stmt) {
    // Vincular el parámetro de la consulta
    $stmt->bindParam(':id_paciente', $id_paciente, PDO::PARAM_INT);

    // Ejecutar la consulta
    $stmt->execute();

    // Obtener el resultado
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($resultado) {
        $nombre_paciente = $resultado['nombre_paciente'];
    } else {
        // Manejo en caso de que no se encuentre el paciente
        echo "Paciente no encontrado.";
    }
} else {
    // Mostrar el error en caso de que la preparación falle
    print_r($conexion2->errorInfo());
}

?>


<?php require 'includes/header_start.php'; ?>

<?php require 'includes/header_end.php'; ?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">
	<!-- DESACTIVA EL MENU -->

	<?php require 'includes/menu.php'; ?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
				?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Facturacion <?php echo $id_cita;?>
								</h3>
								<div class="portlet-widgets">
									
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<?php
									include "../modal/buscar_productos_ventas.php";
									//include "../modal/registro_producto.php";
									//include "../modal/caja.php";
									//include "../modal/anular_factura.php";
									//include "../modal/cerrar_caja.php";
									
									?>
									<div class="row">
										<div class="col-lg-8">
											<div style=" border-radius: 5px; border: 1px solid #39c;" class="card-box">

												<div class="widget-chart">
													<div id="resultados_ajaxf" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->
													<form class="form-horizontal" role="form" id="barcode_form">
														<div class="form-group row">
														<a href="new_tratamiento.php" class="btn btn-primary waves-effect waves-light">
																<i class="fas fa-left"></i> Regresar a Conectados
															</a>

															<div class="col-md-2">
																<button type="button" accesskey="a" class="btn btn-info waves-effect waves-light" data-toggle="modal" data-target="#buscar">
																	<span class="fa fa-search"></span> Buscar
																</button>
															</div>
														</div>
													</form>

													<div id="resultados" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->

												</div>
											</div>

										</div>

										<div class="col-lg-4">
											<div style="border-radius: 5px; border: 1px solid #39c;" class="card-box">
												<div class="widget-chart">
													<form role="form" id="datos_factura">
                                                    <div class="form-group row">
                                                        <label class="col-2 col-form-label"></label>
                                                        <div class="col-12">
                                                            <label for="fiscal">PACIENTE:</label>
                                                            <div class="input-group">
                                                                <input style="border-radius: 5px; border: 1px solid #39c;" type="text" class="form-control" required tabindex="2" value="<?php echo htmlspecialchars($nombre_paciente); ?>" onClick="this.select()">
                                                                <input id="id_paciente" name="id_paciente" type="hidden" value="<?php echo htmlspecialchars($id_paciente); ?>">
                                                            </div>
                                                        </div>
                                                    </div>

														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<label for="fiscal">NO.FACTURA:</label>
																	<div id="factura"></div><!-- Carga los datos ajax -->
																</div>
															</div>

														</div>

														
														<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																	<label for="condiciones">FORMA DE PAGO</label>
																	<select class="form-control input-sm condiciones" id="condiciones" name="condiciones" onchange="showDiv(this)">
																		<option value="1">Efectivo</option>
																		<option value="2">Cheque</option>
																		<option value="3">Transferencia bancaria</option>
																		<option value="4">Crédito</option>
																		<option value="5">Online</option>
																	</select>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																	<div id="resultados3"></div><!-- Carga los datos ajax del incremento de la fatura -->
																	<div class="total"></div><!-- Carga los datos ajax -->
																</div>
															</div>
														</div>
														<div class="col-md-12" align="center">
															<button type="submit" id="guardar_factura" class="btn btn-danger btn-block btn-lg waves-effect waves-light" aria-haspopup="true" aria-expanded="false"><span class="fa fa-save"></span> Guardar</button>
														</div>
													</form>

												</div>
											</div>

										</div>

									</div>
									<!-- end row -->


								</div>
							</div>
						</div>
					</div>
				<?php
				} else {
				?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
				<?php
				}
				?>

			</div>
			<!-- end container -->
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php'; ?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<script type="text/javascript" src="../../js/tratamiento.js"></script>
<!-- ============================================================== -->
<script>
	$(function() {
		$("#nombre_empleado").autocomplete({
			source: "../ajax/autocomplete/empleado.php",
			minLength: 2,
			select: function(event, ui) {
				event.preventDefault();
				$('#id_empleado').val(ui.item.id_empleado);
				$('#nombre_empleado').val(ui.item.nom_empleado);
				$.Notification.notify('custom', 'bottom right', 'EXITO!', 'EMPLEADO AGREGADO CORRECTAMENTE')
			}
		});
	});

	$("#nombre_empleado").on("keydown", function(event) {
		if (event.keyCode == $.ui.keyCode.LEFT || event.keyCode == $.ui.keyCode.RIGHT || event.keyCode == $.ui.keyCode.UP || event.keyCode == $.ui.keyCode.DOWN || event.keyCode == $.ui.keyCode.DELETE || event.keyCode == $.ui.keyCode.BACKSPACE) {
			$("#id_empleado").val("");
		}
		if (event.keyCode == $.ui.keyCode.DELETE) {
			$("#nombre_empleado").val("");
			$("#id_empleado").val("");
		}
	});
</script>
<!-- FIN -->
<script>
	// print order function
	function printOrder(id_factura) {
		//$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
		if (id_factura) {
			$.ajax({
				url: '../pdf/documentos/imprimir_ticket.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();
				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
	// print order function
	function printOrderCredito(id_factura) {
		//$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
		if (id_factura) {
			$.ajax({
				url: '../pdf/documentos/imprimir_ticket_Credito.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();
				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
</script>
<script>
	// print order function
	function printFactura(id_factura) {
		//$('#modal_vuelto').modal('hide');
		if (id_factura) {
			$.ajax({
				//url: '../pdf/documentos/imprimir_factura_venta.php',
				url: '../pdf/documentos/imprimir_consumidor.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();

				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
</script>
<script>
	// print order function
	function printFactura2(id_factura) {
		//$('#modal_vuelto').modal('hide');
		if (id_factura) {
			$.ajax({
				//url: '../pdf/documentos/imprimir_factura_Credito.php',
				url: '../pdf/documentos/imprimir_credito.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();

				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
	
</script>
<script>
	function obtener_caja(user_id) {
		$(".outer_div3").load("../modal/carga_caja.php?user_id=" + user_id); //carga desde el ajax
	}
</script>
<script>
	function cierre_caja(user_id) {
		$(".outer_div4").load("../modal/carga_cierre.php?user_id=" + user_id); //carga desde el ajax
	}
</script>
<script>
	function showDiv(select) {
		if (select.value == 4) {
			$("#resultados3").load("../ajax/carga_prima.php");
		} else {
			$("#resultados3").load("../ajax/carga_resibido.php");
		}
	}

	function comprobar(select) {
		var rnc = $("#rnc").val();
		if (select.value == 1 && rnc == '') {
			$.Notification.notify('warning', 'bottom center', 'NOTIFICACIÓN', 'AL CLIENTE SELECCIONADO NO SE LE PUEDE IMPRIR LA FACTURA, NO TIENE RNC/DEDULA REGISTRADO')
			$("#resultados4").load("../ajax/tipo_doc.php");
		} else {
			//$("#resultados3").load("../ajax/carga_resibido.php");
		}
	}
</script>
<script>
	function getval(sel) {
		$.Notification.notify('success', 'bottom center', 'NOTIFICACIÓN', 'CAMBIO DE COMPROBANTE')
		$("#outer_comprobante").load("../ajax/carga_correlativos.php?id_comp=" + sel.value);

	}
	
</script>

<?php require 'includes/footer_end.php'
?>