<?php
include '../../ajax/is_logged.php'; // Verifica que el usuario está logueado

/* Conexión a la base de datos */
require_once "../../db.php";
require_once "../../php_conexion.php";
include "../../funciones.php";

// Obtener datos de la empresa
$sql_empresa = mysqli_query($conexion, "SELECT * FROM perfil WHERE id_perfil = 1");
$rw_empresa = mysqli_fetch_array($sql_empresa);
$nombre_empresa = $rw_empresa['nombre_empresa'];
$direccion_empresa = $rw_empresa['direccion'];
$telefono_empresa = $rw_empresa['telefono'];
$email_empresa = $rw_empresa['email'];
$logo_empresa = $rw_empresa['logo_url'];
$simbolo_moneda = $rw_empresa['moneda'];

// Obtener datos de la factura
$factura_id = mysqli_real_escape_string($conexion, strip_tags($_REQUEST["id_factura"], ENT_QUOTES));
if (empty($factura_id)) {
    die("El ID de factura es inválido.");
}

$sql_factura = mysqli_query($conexion, "SELECT * FROM facturas_ventas 
    JOIN pacientes ON facturas_ventas.id_cliente = pacientes.id_paciente 
    WHERE id_factura = '$factura_id'");

if (!$sql_factura || mysqli_num_rows($sql_factura) != 1) {
    die("Factura no encontrada.");
}

$rw_factura = mysqli_fetch_array($sql_factura);
$nombre_cliente = $rw_factura['nombre_paciente'];
$direccion_cliente = $rw_factura['direccion_paciente'];
$telefono_cliente = $rw_factura['tel_paciente'];
$fecha_factura = date("d/m/Y", strtotime($rw_factura['fecha_factura']));
$numero_factura = $rw_factura['numero_factura'];
$condiciones = $rw_factura['condiciones'];
$id_users = $rw_factura['id_users_factura'];
$recibido = $rw_factura['dinero_resibido_fac'];

$sql_users = mysqli_query($conexion, "SELECT nombre_users, apellido_users FROM usuarios WHERE id_users = '$id_users'");
$rw_users = mysqli_fetch_array($sql_users);
$users = $rw_users['nombre_users'] . " " . $rw_users['apellido_users'];
?>
<style>
    body {
        font-family: 'Courier New', Courier, monospace;
        font-size: 10pt;
        margin: 0;
        padding: 0;
    }
    .ticket {
        max-width: 300px;
        margin: auto;
        padding: 10px;
    }
    .header {
        text-align: center;
        font-size: 12pt;
        font-weight: bold;
        margin-bottom: 10px;
    }
    .company-info {
        text-align: center;
        font-size: 10pt;
        margin-bottom: 10px;
    }
    .company-logo img {
        max-width: 80px;
        margin: auto;
        display: block;
    }
    .dotted-line {
        border-top: 1px dashed #000;
        margin: 10px 0;
    }
    .table {
        width: 100%;
        font-size: 9pt;
        border-collapse: collapse;
    }
    .table th, .table td {
        text-align: left;
        padding: 5px 0;
    }
    .table th {
        font-weight: bold;
    }
    .total {
        text-align: right;
        font-size: 11pt;
        font-weight: bold;
        margin-top: 10px;
    }
    .footer {
        text-align: center;
    }
    /* Estilo de tabla con anchos personalizables */
    .tabla-numeros td {
        text-align: left;
    }

    /* Personaliza los anchos de cada columna aquí */
    .tabla-numeros td.cantidad {
        width: 40px; /* Ajusta según el ancho que prefieras */
    }

    .tabla-numeros td.descripcion {
        width: 120px; /* Ajusta según el ancho que prefieras */
    }

    .tabla-numeros td.precio {
        width: 80px; /* Ajusta según el ancho que prefieras */
    }

    .tabla-numeros td.total {
        width: 90px; /* Ajusta según el ancho que prefieras */
    }
</style>

<div class="ticket">
    <div class="company-logo">
        <img src="../../<?php echo $logo_empresa; ?>" alt="Logo Empresa">
    </div>
    <div class="company-info">
        <strong><?php echo $nombre_empresa; ?></strong><br>
        <?php echo $direccion_empresa; ?><br>
        Tel: <?php echo $telefono_empresa; ?><br>
        Email: <?php echo $email_empresa; ?>
    </div>
    <div class="dotted-line"></div>
    <div class="header">TICKET N° <?php echo $numero_factura; ?></div>
    <div class="dotted-line"></div>
    <div class="info">
        <div><strong>Fecha:</strong> <?php echo $fecha_factura; ?></div>
        <div><strong>Cliente:</strong> <?php echo $nombre_cliente; ?></div>
        <div><strong>Vendedor:</strong> <?php echo $users; ?></div>
        <div><strong>Forma de Pago:</strong> 
            <?php
            switch ($condiciones) {
                case 1: echo "Contado - Efectivo"; break;
                case 2: echo "Cheque"; break;
                case 3: echo "Transferencia Bancaria"; break;
                case 4: echo "Crédito"; break;
            }
            ?>
        </div>
    </div>
    <div class="dotted-line"></div>
    <table class="table tabla-numeros">
        <thead>
            <tr>
                <th>Cant.</th>
                <th>Descripción</th>
                <th>P. Unit.</th>
                <th>des.</th>
                <th>Total</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $sql_items = mysqli_query($conexion, "SELECT * FROM medicamentos 
                JOIN detalle_fact_ventas ON medicamentos.id_medicamento = detalle_fact_ventas.id_producto 
                WHERE detalle_fact_ventas.numero_factura = '$numero_factura'");

            $total_factura = 0;

            while ($item = mysqli_fetch_array($sql_items)) {
                $cantidad = $item['cantidad'];
                $descripcion = $item['nombre_medicamento'];
                $precio_unit = number_format($item['precio_venta'], 2);
                $des_unit = number_format($item['desc_venta'], 2);
                $total_item = $cantidad * $item['precio_venta'];
                $final_items = rebajasMoney($total_item, $des_unit); // Aplicando el descuento
                $total_factura += $final_items;
                
                echo "<tr>
                        <td class='cantidad'>$cantidad</td>
                        <td class='descripcion'>$descripcion</td>
                        <td class='precio'>" . $simbolo_moneda . "" . $precio_unit . "</td>
                        <td class='precio'>" . $simbolo_moneda . "" . $des_unit . "</td>
                        <td class='totalx'>" . $simbolo_moneda . "" . number_format($final_items, 2) . "</td>
                    </tr>";
            }
            ?>
        </tbody>
    </table>
    <!-- Total recibido y cambio -->
    <div class="total">TOTAL: <?php echo $simbolo_moneda . " " . number_format($total_factura, 2); ?></div>
    <div class="total">Recibido: <?php echo $simbolo_moneda . " " . number_format($recibido, 2); ?></div>
    
    <?php
    $cambio = $recibido - $total_factura;
    if ($cambio >= 0) {
        echo "<div class='total'>Cambio: " . $simbolo_moneda . " " . number_format($cambio, 2) . "</div>";
    } else {
        echo "<div class='total'>Cambio: " . $simbolo_moneda . " 0.00</div>";
    }
    ?>
    
    <div class="dotted-line"></div>
    <div class="footer">¡Gracias por su compra!<br>Vuelva pronto.</div>
</div>

</div>
