<?php
include '../../ajax/is_logged.php'; // Verifica que el usuario esté logueado
?>
<style type="text/css" media="print">
    #Imprime {
        height: auto;
        width: 377px;
        margin: 0px;
        padding: 0px;
        float: left;
        font-family: "Comic Sans MS", cursive;
        font-size: 7px;
        font-style: normal;
        line-height: normal;
        font-weight: normal;
        font-variant: normal;
        text-transform: none;
        color: #000;
    }
    @page {
        margin: 0;
    }

    .ticket-container {
        width: 160px;
        font-size: 8px;
        font-family: 'Courier New', monospace;
    }

    .business-info {
        text-align: center;
        font-size: 11px;
    }

    .business-info strong {
        display: block;
    }

    .divider {
        border-bottom: 1px dotted #000;
        margin: 10px 0;
    }

    .order-info {
        text-align: left;
        margin-top: 5px;
        text-align: center;
    }

    .totals {
        text-align: right;
    }

    .total-row {
        display: flex;
        justify-content: space-between;
    }

    .total-row .label {
        flex: 2;
        text-align: left;
    }

    .total-row .value {
        flex: 1;
        text-align: right;
    }

    .total-general {
        font-size: 10px;
        font-weight: bold;
        text-align: center;
    }

    .total-line {
        border-top: 2px solid #000;
        margin-top: 10px;
    }

</style>

<?php
/* Conexión a la base de datos */
require_once "../../db.php"; // Contiene las variables de configuración para conectar a la base de datos
require_once "../../php_conexion.php"; // Contiene función que conecta a la base de datos
include "../../funciones.php";
$moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

// Datos de la empresa
$sql = mysqli_query($conexion, "SELECT * FROM perfil");
$rw = mysqli_fetch_array($sql);
$moneda = $rw["moneda"];
$bussines_name = $rw["nombre_empresa"];
$address = $rw["direccion"];
$city = $rw["ciudad"];
$state = $rw["estado"];
$postal_code = $rw["codigo_postal"];
$phone = $rw["telefono"];
$email = $rw["email"];
$logo_url = $rw["logo_url"];

// Capturar las fechas desde el POST
$fecha_inicio = $_POST['fecha_inicio'];
$fecha_fin = $_POST['fecha_fin'];
$caja_id = $_POST['caja_id'];

/* Detalles de la caja */
$query = "
    SELECT 
        dc.caja_id, 
        dc.num_caja, 
        dc.fecha, 
        dc.hora_ap, 
        dc.s_inicial, 
        dc.ing_efectivo, 
        dc.ing_cheque, 
        dc.ing_transf, 
        dc.egresos, 
        dc.h_cierre, 
        dc.total_caja, 
        dc.empleado_id, 
        dc.estado_caja, 
        dc.faltante, 
        dc.cambio, 
        u.nombre_users, 
        u.apellido_users
    FROM 
        detalle_caja dc
    JOIN 
        usuarios u ON dc.empleado_id = u.id_users
    WHERE 
        dc.estado_caja = 2
        AND dc.fecha BETWEEN '$fecha_inicio' AND '$fecha_fin'
";
$result = $conexion->query($query);

// Cerrar la conexión a la base de datos
$conexion->close();

?>

<page pageset='new' backtop='10mm' backbottom='10mm' backleft='20mm' backright='20mm' footer='page'>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Ticket de Corte de Caja</title>
</head>
<body>
<div class="ticket-container">
    <div class="business-info">
        <strong><?php echo $bussines_name; ?></strong>
        <div class="sub-info"><?php echo $address; ?></div>
        <div class="sub-info"><?php echo $city . ' ' . $state; ?></div>
        <div class="sub-info">Tel: <?php echo $phone; ?></div>
    </div>
    <div class="divider"></div>

    <div class="order-info">
        <h4>Ticket de Corte de Caja</h4>
    </div>

    <div class="divider"></div>

    <?php
    // Inicializamos variables para el total general
    $total_general_ingresos = 0;
    $total_general_egresos = 0;
    $total_general_faltante = 0;
    $total_general_cambio = 0;

    // Mostrar los detalles de cada empleado
    while ($row = $result->fetch_assoc()) {
        $caja_id = $row["caja_id"];
        $num_caja = $row["num_caja"];
        $fecha = $row["fecha"];
        $hora_ap = $row["hora_ap"];
        $ing_efectivo = $row["ing_efectivo"];
        $ing_cheque = $row["ing_cheque"];
        $ing_transf = $row["ing_transf"];
        $egresos = $row["egresos"];
        $h_cierre = $row["h_cierre"];
        $total_caja = $row["total_caja"];
        $empleado_id = $row["empleado_id"];
        $estado_caja = $row["estado_caja"];
        $faltante = $row["faltante"];
        $cambio = $row["cambio"];
        $nombre_usuario = $row["nombre_users"];
        $apellido_usuario = $row["apellido_users"];

        // Actualizar totales generales
        $total_general_ingresos += $ing_efectivo + $ing_cheque + $ing_transf;
        $total_general_egresos += $egresos;
        $total_general_faltante += $faltante;
        $total_general_cambio += $cambio;

        if ($estado_caja > 0) {
            $estado = 'CERRADA';
        } else {
            $estado = 'APERTURADA';
        }
    ?>
    <div class="totals">
        <div class="total-row">
            <div class="label">Empleado:</div>
            <div class="value"><?php echo $nombre_usuario . ' ' . $apellido_usuario; ?></div>
        </div>
        <div class="total-row">
            <div class="label">Fecha:</div>
            <div class="value"><?php echo $fecha; ?></div>
        </div>
        <div class="total-row">
            <div class="label">Hora Apertura:</div>
            <div class="value"><?php echo $hora_ap; ?></div>
        </div>
        <div class="total-row">
            <div class="label">Caja Inicial:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($ing_efectivo); ?></div>
        </div>
        <div class="total-row">
            <div class="label">Total Ventas:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($total_caja); ?></div>
        </div>
        <div class="total-row">
            <div class="label">Egresos:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($egresos); ?></div>
        </div>
        <?php
                $x = $ing_efectivo - $total_caja;
                if ($x >= 0) {
                    $falta = 0;
                }else {
                    $falta = $faltante;
                }
                ?>
        <div class="total-row">
            <div class="label">Faltante:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($falta); ?></div>
        </div>
        <div class="total-row">
                <div class="label">Sobrante:</div>
                <div class="value"><?php echo $moneda.' '. formato($ing_efectivo - $total_caja); ?></div>
            </div>
        <div class="total-row">
            <div class="label">Cambio:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($cambio); ?></div>
        </div>

        <div class="divider"></div>
    </div>
    <?php
    }
    ?>

    <div class="total-line"></div>

    <div class="total-general">
        <div class="total-row">
            <div class="label">Total General:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($total_general_ingresos - $total_general_egresos); ?></div>
        </div>
        <div class="total-row">
            <div class="label">Total Egresos:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($total_general_egresos); ?></div>
        </div>
        <div class="total-row">
            <div class="label">Total Faltante:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($total_general_faltante); ?></div>
        </div>
        <div class="total-row">
            <div class="label">Total Cambio:</div>
            <div class="value"><?php echo $moneda . ' ' . formato($total_general_cambio); ?></div>
        </div>
    </div>
</div>
</body>
</html>
</page>
