<?php
session_start();
$user_id = $_SESSION['id_users'];
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Incluimos la libreria PDF
include_once('libs/fpdf.php');
//consulta a la tabla perfil
$q        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
$daterange = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['daterange'], ENT_QUOTES)));
$sql           = mysqli_query($conexion, "SELECT moneda, nombre_empresa, logo_url FROM perfil");
$rw            = mysqli_fetch_array($sql);
$moneda        = $rw["moneda"];
$bussines_name = $rw["nombre_empresa"];
$logo      = $rw["logo_url"];
// Consulta de los usuarios
$user           = mysqli_query($conexion, "SELECT nombre_users, apellido_users FROM usuarios WHERE id_users = $user_id");
$row            = mysqli_fetch_array($user);
$users = $row['nombre_users'] . ' ' . $row['apellido_users'];
//Consulta de la Tabla Factura compras
$tables         = "facturas_des, usuarios";
$campos         = "*";
$sWhere         = "facturas_des.id_users_factura=usuarios.id_users";
if (!empty($daterange)) {
    list($f_inicio, $f_final)                    = explode(" - ", $daterange); //Extrae la fecha inicial y la fecha final en formato español
    list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio); //Extrae fecha inicial
    $fecha_inicial                               = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00"; //Fecha inicial formato ingles
    list($dia_fin, $mes_fin, $anio_fin)          = explode("/", $f_final); //Extrae la fecha final
    $fecha_final                                 = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

    $sWhere .= " and facturas_des.fecha_factura between '$fecha_inicial' and '$fecha_final' ";
}
$sWhere .= " and estado_factura <>3 order by facturas_des.id_factura";
$resultado = mysqli_query($conexion, "SELECT $campos FROM  $tables where $sWhere ");

class PDF extends FPDF
{
    // Funcion encargado de realizar el encabezado
    function Header()
    {
        global $logo;
        global $user_id;
        global $sucursal;
        global $users;
        // Logo
        $this->Image($logo, 10, 5, 40); //Insertamos el logo si es en PNG su calidad o formato debe estar entre PNG 8/PNG 24
        $this->SetFont('Arial', 'B', 16); //Tamaño del encabezado
        $this->Cell(300, 15, "Reporte de Desperdicios", 0, 1, 'C');
        $this->SetFont('Arial', 'B', 12); //Tamaño del encabezado
        $this->Cell(300, 10, "SUCURSAL:" . ' ' . $sucursal, 0, 1, 'C');
        $this->SetFont('Arial', 'B', 10);
        $ancho = 220; //mover el encabezado derecho
        $horizontal = 60; //Permitirá que las dimensiones que abarca horizontalmente sea 85 puntos más que cuando es vertical
        $this->SetY(10);
        $this->Cell($ancho + $horizontal, 10, 'Usuario: ' . $users . '', 0, 0, 'R');
        $this->SetY(15);
        $this->Cell($ancho + $horizontal, 10, 'Fecha: ' . date('d/m/Y'), 0, 0, 'R');
        $this->SetY(20);
        $this->Cell($ancho + $horizontal, 10, 'Hora: ' . date('H:i:s'), 0, 0, 'R');

        $this->Ln(25);
    }

    // Funcion pie de pagina
    function Footer()
    {
        // Position at 1.5 cm from bottom
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial', 'I', 8);
        // Page number
        $this->Cell(0, 10, 'Pagina ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

$pdf = new PDF('L', 'mm', 'A4', true, 'UTF-8', false);
//header
$pdf->AddPage();
//footer page
//Encabezados Principales
$pdf->SetFont('Arial', 'B', 12); //Formato del texto
$pdf->SetTextColor(3, 3, 3); //Color del texto: Negro
$pdf->setFillColor(133, 193, 233); //Fondo de las celdas de los encabezados
// Declaramos el ancho de las columnas
$w = array(20, 70, 75, 40, 30, 40);
//Declaramos el encabezado de la tabla
$pdf->Cell(20, 12, 'FACTURA', 1, 0, 'C', 1);
$pdf->Cell(70, 12, 'MOTIVO', 1, 0, 'C', 1);
$pdf->Cell(75, 12, 'DETALLE', 1, 0, 'C', 1);
$pdf->Cell(40, 12, 'MONTO', 1, 0, 'C', 1);
$pdf->Cell(30, 12, 'ESTADO', 1, 0, 'C', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 12);
$pdf->setFillColor(213, 216, 220);
$bandera = false; //Para alternar el relleno
//Mostramos el contenido de la tabla
$total_gen = 0;
$total_iva = 0;
while ($row = mysqli_fetch_array($resultado)) {
    $total_gen += $row['monto_factura'];
    $total_iva += $row['monto_factura'] * 0.13;
    $estado = ($row['estado_factura'] != 2) ? 'PROCESADA' : 'PENDIENTE';
    
    // Obtener el contenido para la tercera celda
    $id_factura = $row['id_factura'];
    $sub_consulta = mysqli_query($conexion, "SELECT id_factura, id_producto, precio_venta, cantidad FROM detalle_fact_des WHERE id_factura = $id_factura");
    $contenido_celda = '';
    while ($roww = mysqli_fetch_array($sub_consulta)) {
        $id_producto = $roww['id_producto'];
        $nombre_producto = get_row('medicamentos', 'nombre_medicamento', 'id_medicamento ', $id_producto);
        $contenido_celda .= '* ' . $roww['cantidad'] . 'x ' . $nombre_producto . ' (' . $moneda . '' . number_format($roww['precio_venta'], 2) . ")\n";
    }

    // Dividir el contenido de la celda en líneas separadas
    $lineas = explode("\n", trim($contenido_celda));
    $altura_celda = 6 * count($lineas); // Ajustar la altura de la celda basado en el número de líneas

    // Primera celda
    $pdf->Cell($w[0], $altura_celda, $row['id_factura'], 1, 0, 'L', $bandera);

    // Segunda celda
    $pdf->Cell($w[1], $altura_celda, $row['motivo_general'], 1, 0, 'L', $bandera);

    // Tercera celda
    $x = $pdf->GetX();
    $y = $pdf->GetY();
    $pdf->MultiCell($w[2], 6, $contenido_celda, 1, 'L', $bandera);
    $pdf->SetXY($x + $w[2], $y);

    // Cuarta celda
    $pdf->Cell($w[3], $altura_celda, ($moneda . ' ' . number_format($row['monto_factura'], 2)), 1, 0, 'L', $bandera);

    // Quinta celda
    $pdf->Cell($w[4], $altura_celda, $estado, 1, 0, 'L', $bandera);


    // Salto de línea
    $pdf->Ln($altura_celda);

    // Alternar el valor de la bandera
    $bandera = !$bandera;
}

$pdf->Ln();
$pdf->SetFont('Arial', 'B', 12); //Formato del texto
$pdf->SetTextColor(3, 3, 3); //Color del texto: Negro
$pdf->Cell(165, 12, 'TOTAL VENTAS', 1, 0, 'R', 1);
$pdf->Cell(40, 12, $moneda . ' ' . number_format($total_gen, 2), 1, 0, 'L', 1);
//END
$pdf->Output();
?>
