<?php
session_start();
$user_id = $_SESSION['id_users'];
require_once "../db.php"; 
require_once "../php_conexion.php"; 
require_once "../funciones.php";
include_once('libs/fpdf.php');

$q = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
$daterange = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['daterange'], ENT_QUOTES)));

// Obtener datos de perfil
$sql = mysqli_query($conexion, "SELECT moneda, nombre_empresa, logo_url FROM perfil");
$rw = mysqli_fetch_array($sql);
$moneda = $rw["moneda"];
$bussines_name = $rw["nombre_empresa"];
$logo = $rw["logo_url"];

// Obtener datos del usuario
$user = mysqli_query($conexion, "SELECT nombre_users, apellido_users FROM usuarios WHERE id_users = $user_id");
$row = mysqli_fetch_array($user);
$users = $row['nombre_users'] . ' ' . $row['apellido_users'];

// Configurar consulta principal
$tables = "facturas_ventas, pacientes";
$campos = "*";
$sWhere = "pacientes.id_paciente=facturas_ventas.id_cliente";

if ($_GET['q'] != "") {
    $sWhere .= " AND (pacientes.nombre_paciente LIKE '%$q%' OR facturas_ventas.numero_factura LIKE '%$q%')";
}
if (!empty($daterange)) {
    list($f_inicio, $f_final) = explode(" - ", $daterange);
    list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio);
    $fecha_inicial = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00";
    list($dia_fin, $mes_fin, $anio_fin) = explode("/", $f_final);
    $fecha_final = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

    $sWhere .= " AND facturas_ventas.fecha_factura BETWEEN '$fecha_inicial' AND '$fecha_final'";
}
$sWhere .= " AND estado_factura <> 3 ORDER BY facturas_ventas.id_factura";
$resultado = mysqli_query($conexion, "SELECT $campos FROM $tables WHERE $sWhere");

class PDF extends FPDF
{
    function Header()
    {
        global $logo, $users, $fecha_inicial, $fecha_final;
        $this->Image($logo, 10, 5, 40);
        $this->SetFont('Arial', 'B', 16);
        $this->Cell(280, 15, utf8_decode("Reporte de Facturación"), 0, 1, 'C');
        $this->SetFont('Arial', 'B', 14);
        $this->SetY(10);
        $this->Cell(280, 35, "Corte Diario", 0, 1, 'C');
        $this->SetFont('Arial', 'B', 14);
        $this->SetY(10);
        $fecha_in = date('d/m/Y', strtotime($fecha_inicial));
        $fecha_fin = date('d/m/Y', strtotime($fecha_final));
        $this->Cell(280, 55, 'Desde ' . $fecha_in . ' Hasta ' . $fecha_fin, 0, 1, 'C');
        $this->SetFont('Arial', 'B', 12);
        $this->SetFont('Arial', 'B', 10);
        $this->SetY(10);
        $this->Cell(280, 10, 'Usuario: ' . $users, 0, 0, 'R');
        $this->SetY(15);
        $this->Cell(280, 10, 'Fecha: ' . date('d/m/Y'), 0, 0, 'R');
        $this->SetY(20);
        $this->Cell(280, 10, 'Hora: ' . date('H:i:s'), 0, 0, 'R');
        $this->Ln(25);
    }

    function Footer()
    {
        $this->SetY(-15);
        $this->SetFont('Arial', 'I', 8);
        $this->Cell(0, 10, 'Pagina ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

$pdf = new PDF('L', 'mm', 'A4', true, 'UTF-8', false);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(3, 3, 3);
$pdf->setFillColor(133, 193, 233);

// Configurar tablas
$columns = array(35, 100, 60, 30, 40);
$headers = ['FACTURA', 'PACIENTE', 'MEDICO', 'ESTADO', 'MONTO'];

// Función para mostrar una tabla
function renderTable($pdf, $data, $title, $columns, $headers, $moneda)
{
    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(0, 12, $title, 0, 1, 'C');
    $pdf->SetFont('Arial', '', 12);

    // Encabezados
    for ($i = 0; $i < count($headers); $i++) {
        $pdf->Cell($columns[$i], 12, $headers[$i], 1, 0, 'C', 1);
    }
    $pdf->Ln();

    // Datos
    $pdf->setFillColor(213, 216, 220);
    $bandera = false;
    $total = 0;

    foreach ($data as $row) {
        $medico_id  = get_row('citas', 'doctor', 'id', $row['cita_id']);
        $medico  = get_row('medicos', 'nombre', 'id_medico', $medico_id);

        $pdf->Cell($columns[0], 6, $row['numero_factura'], 1, 0, 'L', $bandera);
        $pdf->Cell($columns[1], 6, $row['nombre_paciente'], 1, 0, 'L', $bandera);
        $pdf->Cell($columns[2], 6, $medico, 1, 0, 'L', $bandera);
        $pdf->Cell($columns[3], 6, $row['estado'], 1, 0, 'L', $bandera);
        $pdf->Cell($columns[4], 6, ($moneda . ' ' . number_format($row['monto_factura'], 2)), 1, 0, 'L', $bandera);
        $pdf->Ln();
        $total += $row['monto_factura'];
        $bandera = !$bandera;
    }

   // Total
$pdf->SetFont('Arial', 'B', 12);

// Ajusta los valores directamente
$ancho_celda_total = 225; // Ancho personalizado para la celda "TOTAL"
$ancho_celda_valor = 40;  // Ancho personalizado para la celda del valor total

// Celda para "TOTAL"
$pdf->Cell($ancho_celda_total, 12, 'TOTAL', 1, 0, 'R', 1);
// Celda para el valor total
$pdf->Cell($ancho_celda_valor, 12, $moneda . ' ' . number_format($total, 2), 1, 0, 'L', 1);
$pdf->Ln(20);

return $total;

}

// Separar datos por estado
$pagados = [];
$pendientes = [];

while ($row = mysqli_fetch_array($resultado)) {
    $estado = $row['estado_factura'] != 2 ? 'PAGADO' : 'PENDIENTE';
    $condiciones = $row['condiciones'] != 4 ? "CONTADO" : "CREDITO";

    $row['estado'] = $estado;
    $row['condiciones'] = $condiciones;

    if ($estado === 'PAGADO') {
        $pagados[] = $row;
    } else {
        $pendientes[] = $row;
    }
}

// Renderizar tablas
$total_pagados = renderTable($pdf, $pagados, 'TABLA DE PAGADOS', $columns, $headers, $moneda);
$total_pendientes = renderTable($pdf, $pendientes, 'TABLA DE PENDIENTES', $columns, $headers, $moneda);

// Total general
$pdf->SetFont('Arial', 'B', 12);

// Anchos personalizados
$ancho_celda_total_general = 225; // Ancho de la celda para "TOTAL GENERAL"
$ancho_celda_valor_general = 40;  // Ancho de la celda para el monto total general

// Celda para "TOTAL GENERAL"
$pdf->Cell($ancho_celda_total_general, 12, 'TOTAL GENERAL', 1, 0, 'R', 1);
// Celda para el monto total general
$pdf->Cell($ancho_celda_valor_general, 12, $moneda . ' ' . number_format($total_pagados + $total_pendientes, 2), 1, 0, 'L', 1);
$pdf->Ln(20);


$pdf->Output();
