<?php
include_once('libs/fpdf.php');
// Obtener los datos de la base de datos
require_once "../db.php"; 
require_once "../php_conexion.php"; 
// Archivo de funciones PHP
require_once "../funciones.php";

class PDF extends FPDF {
    // Encabezado del documento
    function Header() {
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 10, utf8_decode('Reporte de Créditos'), 0, 1, 'C');
        $this->Ln(5);
    }

    // Pie de página del documento
    function Footer() {
        $this->SetY(-15);
        $this->SetFont('Arial', 'I', 8);
        $this->Cell(0, 10, utf8_decode('Página ') . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

$tipo = isset($_REQUEST['tipo']) ? intval($_REQUEST['tipo']) : 0;
$q = isset($_REQUEST['q']) ? mysqli_real_escape_string($conexion, strip_tags($_REQUEST['q'], ENT_QUOTES)) : '';

$sTable = "creditos, pacientes";
$sWhere = " WHERE creditos.id_cliente = pacientes.id_paciente";

if ($tipo > 0) {
    $sWhere .= " AND creditos.estado_credito = '$tipo'";
}

if (!empty($q)) {
    $sWhere .= " AND (pacientes.nombre_paciente LIKE '%$q%' 
                     OR creditos.numero_factura LIKE '%$q%')";
}

$sWhere .= " ORDER BY creditos.id_credito DESC";

// Depurar la consulta SQL
$sql = "SELECT * FROM $sTable $sWhere";
$query = mysqli_query($conexion, $sql);

// Comprobar si la consulta devolvió resultados
if (!$query) {
    die("Error en la consulta: " . mysqli_error($conexion));
}

// Crear objeto PDF
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', '', 10);

// Encabezados de la tabla
$pdf->SetFillColor(200, 220, 255);
$pdf->Cell(30, 10, utf8_decode('# Factura'), 1, 0, 'C', true);
$pdf->Cell(30, 10, utf8_decode('Fecha'), 1, 0, 'C', true);
$pdf->Cell(50, 10, utf8_decode('Cliente'), 1, 0, 'C', true);
$pdf->Cell(30, 10, utf8_decode('Estado'), 1, 0, 'C', true);
$pdf->Cell(25, 10, utf8_decode('Crédito'), 1, 0, 'C', true);
$pdf->Cell(25, 10, utf8_decode('Abonado'), 1, 0, 'C', true);
$pdf->Cell(25, 10, utf8_decode('Saldo'), 1, 1, 'C', true);

$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

// Datos de la tabla
while ($row = mysqli_fetch_array($query)) {
    $numero_factura = $row['numero_factura'];
    $fecha = date("d/m/Y", strtotime($row['fecha_credito']));
    $nombre_cliente = $row['nombre_paciente'];
    $estado_factura = $row['estado_credito'] == 2 ? 'Pagada' : 'Pendiente';
    $total_venta = $row['monto_credito'];
    $saldo = $row['saldo_credito'];

    $orderSql = "SELECT * FROM creditos_abonos WHERE numero_factura = '$numero_factura'";
    $orderQuery = $conexion->query($orderSql);
    $total_abono = 0;
    while ($orderResult = $orderQuery->fetch_assoc()) {
        $total_abono += $orderResult['abono'];
    }

    $pdf->Cell(30, 10, utf8_decode($numero_factura), 1);
    $pdf->Cell(30, 10, utf8_decode($fecha), 1);
    $pdf->Cell(50, 10, utf8_decode($nombre_cliente), 1);
    $pdf->Cell(30, 10, utf8_decode($estado_factura), 1);
    $pdf->Cell(25, 10, $simbolo_moneda . ' ' . number_format($total_venta, 2), 1, 0, 'R');
    $pdf->Cell(25, 10, $simbolo_moneda . ' ' . number_format($total_abono, 2), 1, 0, 'R');
    $pdf->Cell(25, 10, $simbolo_moneda . ' ' . number_format($saldo, 2), 1, 1, 'R');
}

// Salida del PDF
$pdf->Output('I', 'Reporte_Creditos.pdf');
