<?php
include_once('libs/fpdf.php');
// Obtener los datos de la base de datos
require_once "../db.php"; 
require_once "../php_conexion.php"; 
//Archivo de funciones PHP
require_once "../funciones.php";

// Obtener las fechas del formulario
$fechaInicio = isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('Y-m-d');
$fechaFin = isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('Y-m-d');

//$fecha_actual = date('Y-m-d');

// Obtener datos de perfil
$sql = mysqli_query($conexion, "SELECT moneda, nombre_empresa, logo_url FROM perfil");
$rw = mysqli_fetch_array($sql);
$moneda = $rw["moneda"];
$bussines_name = $rw["nombre_empresa"];
$logo = $rw["logo_url"];

// Consultar ventas
$ventas_query = "SELECT id_factura, fecha_factura, monto_factura, concepto, id_cliente, numero_factura 
                 FROM facturas_ventas 
                 WHERE DATE(fecha_factura) BETWEEN '$fechaInicio' AND '$fechaFin'";
$ventas_result = mysqli_query($conexion, $ventas_query);
$total_ventas = 0;

// Consultar gastos
$gastos_query = "SELECT id_egreso, referencia_egreso, monto, fecha_added 
                 FROM egresos 
                 WHERE DATE(fecha_added) BETWEEN '$fechaInicio' AND '$fechaFin'";
$gastos_result = mysqli_query($conexion, $gastos_query);
$total_gastos = 0;

// Crear una instancia de FPDF
$pdf = new FPDF();
$pdf->AddPage();

// Título del reporte
$pdf->SetFont('Arial', 'B', 14);
$pdf->Cell(190, 10, utf8_decode('Reporte Diario'), 0, 1, 'C');

// Ventas
$pdf->Ln(10);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(190, 10, utf8_decode('Ventas del Día'), 0, 1, 'L');
$pdf->SetFont('Arial', '', 8);

// Estilo de encabezado
$pdf->SetFillColor(200, 220, 255); // Color de fondo para el encabezado
$pdf->Cell(20, 10, utf8_decode('Factura'), 1, 0, 'C', true);
$pdf->Cell(55, 10, utf8_decode('Cliente'), 1, 0, 'C', true);
$pdf->Cell(20, 10, utf8_decode('Fecha'), 1, 0, 'C', true);
$pdf->Cell(50, 10, utf8_decode('Medico'), 1, 0, 'C', true);
$pdf->Cell(20, 10, utf8_decode('Monto'), 1, 0, 'C', true);
$pdf->Cell(30, 10, utf8_decode('Concepto'), 1, 1, 'C', true); // Nuevo encabezado para concepto

// Imprimir las ventas
while ($venta = mysqli_fetch_assoc($ventas_result)) {
    $cliente = get_row('pacientes', 'nombre_paciente', 'id_paciente', $venta['id_cliente']);
    $med_paciente = get_row('pacientes', 'dr_cabecera', 'id_paciente', $venta['id_cliente']);
    $medico = get_row('medicos', 'nombre', 'id_medico', $med_paciente);
    $total_ventas += $venta['monto_factura'];
    
    $pdf->Cell(20, 10, $venta['numero_factura'], 1, 0, 'C');
    $pdf->Cell(55, 10, utf8_decode($cliente), 1, 0, 'L');
    $pdf->Cell(20, 10, date('d/m/Y', strtotime($venta['fecha_factura'])), 1, 0, 'C');
    $pdf->Cell(50, 10, utf8_decode($medico), 1, 0, 'L');
    $pdf->Cell(20, 10, $moneda . ' ' . number_format($venta['monto_factura'], 2, ',', '.'), 1, 0, 'C');
    $pdf->Cell(30, 10, utf8_decode($venta['concepto']), 1, 1, 'L'); // Mostrar concepto
}

// Total de ventas (alineado a la derecha)
$pdf->Ln(5); // Espacio después de las ventas
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(130, 10, '', 0, 0, 'L'); // Deja espacio en la izquierda
$pdf->Cell(50, 10, utf8_decode('Total Ventas: ' . $moneda . ' ' . number_format($total_ventas, 2, ',', '.')), 0, 1, 'R');

// Gastos
$pdf->Ln(10);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(180, 10, utf8_decode('Gastos del Día'), 0, 1, 'L');
$pdf->SetFont('Arial', '', 8);

// Estilo de encabezado para los gastos
$pdf->SetFillColor(200, 220, 255); // Color de fondo para el encabezado
$pdf->Cell(40, 10, utf8_decode('Egreso'), 1, 0, 'C', true);
$pdf->Cell(60, 10, utf8_decode('Referencia'), 1, 0, 'C', true);
$pdf->Cell(40, 10, utf8_decode('Fecha'), 1, 0, 'C', true);
$pdf->Cell(40, 10, utf8_decode('Monto'), 1, 1, 'C', true);

// Imprimir los gastos
while ($gasto = mysqli_fetch_assoc($gastos_result)) {
    $total_gastos += $gasto['monto'];
    
    $pdf->Cell(40, 10, $gasto['id_egreso'], 1, 0, 'C');
    $pdf->Cell(60, 10, utf8_decode($gasto['referencia_egreso']), 1, 0, 'C');
    $pdf->Cell(40, 10, date('d/m/Y', strtotime($gasto['fecha_added'])), 1, 0, 'C');
    $pdf->Cell(40, 10, $moneda . ' ' . number_format($gasto['monto'], 2, ',', '.'), 1, 1, 'C');
}

// Total de gastos (alineado a la derecha)
$pdf->Ln(5); // Espacio después de los gastos
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(130, 10, '', 0, 0, 'L'); // Deja espacio en la izquierda
$pdf->Cell(50, 10, utf8_decode('Total Gastos: ' . $moneda . ' ' . number_format($total_gastos, 2, ',', '.')), 0, 1, 'R');

// Totales generales (alineado a la derecha)
$pdf->Ln(10);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(180, 10, utf8_decode('Totales del Día'), 0, 1, 'R');
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(130, 10, '', 0, 0, 'L'); // Deja espacio en la izquierda
$pdf->Cell(50, 10, utf8_decode('Total Ventas: ' . $moneda . ' ' . number_format($total_ventas, 2, ',', '.')), 0, 1, 'R');
$pdf->Cell(130, 10, '', 0, 0, 'L'); // Deja espacio en la izquierda
$pdf->Cell(50, 10, utf8_decode('Total Gastos: ' . $moneda . ' ' . number_format($total_gastos, 2, ',', '.')), 0, 1, 'R');
$pdf->Cell(130, 10, '', 0, 0, 'L'); // Deja espacio en la izquierda
$pdf->Cell(50, 10, utf8_decode('Total General: ' . $moneda . ' ' . number_format($total_ventas - $total_gastos, 2, ',', '.')), 0, 1, 'R');

// Output el PDF
$pdf->Output();
?>
